GNU bug report logs - #34597
`guix challenge` - 41 packages differ

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: mikadoZero <mikadozero@HIDDEN>; dated Wed, 20 Feb 2019 23:35:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 34597 <at> debbugs.gnu.org:


Received: (at 34597) by debbugs.gnu.org; 4 Mar 2019 22:05:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 04 17:05:50 2019
Received: from localhost ([127.0.0.1]:60342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h0viX-0001ck-UL
	for submit <at> debbugs.gnu.org; Mon, 04 Mar 2019 17:05:50 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:45882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1h0viU-0001cY-Nl
 for 34597 <at> debbugs.gnu.org; Mon, 04 Mar 2019 17:05:48 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 7B4E511D39;
 Mon,  4 Mar 2019 23:05:45 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id e0H-FOZCvHGQ; Mon,  4 Mar 2019 23:05:43 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 8A35111D38;
 Mon,  4 Mar 2019 23:05:43 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Non-reproducible .go files
References: <20190220233151.GA23130@HIDDEN> <20190221000134.GB28504@HIDDEN>
 <20190222165949.GA22492@HIDDEN> <87o9733c4a.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 14 =?utf-8?Q?Vent=C3=B4se?= an 227 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 04 Mar 2019 23:05:42 +0100
In-Reply-To: <87o9733c4a.fsf@HIDDEN> (Ricardo Wurmus's message of "Fri,
 22 Feb 2019 19:35:17 +0100")
Message-ID: <87zhqamh1l.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 34597
Cc: mikadoZero <mikadozero@HIDDEN>, 34597 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi,

Ricardo Wurmus <rekado@HIDDEN> skribis:

> These are all files relating to =E2=80=9Cguix pull=E2=80=9D.  You listed =
other outputs
> that are the result of work performed by =E2=80=9Cguix pull=E2=80=9D.  I =
suspect that
> there=E2=80=99s something wrong about the environment in which =E2=80=9Cg=
uix pull=E2=80=9D
> operates.

It may be this old Guile issue popping up:

  <https://issues.guix.info/issue/20272>

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#34597; Package guix. Full text available.

Message received at 34597 <at> debbugs.gnu.org:


Received: (at 34597) by debbugs.gnu.org; 22 Feb 2019 18:35:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 22 13:35:40 2019
Received: from localhost ([127.0.0.1]:48562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxFff-0003MA-I0
	for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 13:35:40 -0500
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1gxFfd-0003Lz-OX
 for 34597 <at> debbugs.gnu.org; Fri, 22 Feb 2019 13:35:38 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1550860524; cv=none; d=zoho.com; s=zohoarc; 
 b=i68BY7zbYzi7D+Wo29aU6MslNkkNctHoyF8TftjGhzZbhMdNhDdYxQyL+El1JyYB18/fLq2nJ1CUngMExY3fAXhz+ET+KQIVACEiMI/ruCb5H3RIFp9cdJixfrrczdwqCu/OydMiHXoopWfa9fcTmWhQxVBy0RB8i8CA4du11Ck=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1550860524;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=c8EZ5zbrqGzT4LPpPyYf/D7AB4tjvDCp4vNoJO9cP1M=; 
 b=joKxhRv6yvJT2gU3RXovF4JLNneR4ZgpyLecuIC1nVqAg/ksIOEunPM632OLl8OVs0Y3n1Qi9gU3p6SxK0l0CygYVlIubNgX8aT80Dtq/iTU9dWt0LlvHh/wlNmcAXPOQ4zpRxeO6uLKFJRJ79GbsWDnVCJawqZyxBNpp4EzW94=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1550860524; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=4233; bh=c8EZ5zbrqGzT4LPpPyYf/D7AB4tjvDCp4vNoJO9cP1M=;
 b=fn+/oh82Nq7PD7kOMOwakxqV9bIWlsA5FlcVBrfeXGaLImw3SiAuKzNsYiCXGZ3+
 nW306BVEWcSmpee5GO3+r7vL5QtSoprBMxRTItZAGcdsNrgbbCSGuUKnptms7uYmJU+
 JAJP9RRs1RifKGWfcVVm6Fucs4WbfjNJnmeTslL4=
Received: from localhost (p54AD4855.dip0.t-ipconnect.de [84.173.72.85]) by
 mx.zohomail.com with SMTPS id 1550860522286782.4134900972579;
 Fri, 22 Feb 2019 10:35:22 -0800 (PST)
References: <20190220233151.GA23130@HIDDEN> <20190221000134.GB28504@HIDDEN>
 <20190222165949.GA22492@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: mikadoZero <mikadozero@HIDDEN>
Subject: Re: bug#34597: `guix challenge` - 41 packages differ
In-reply-to: <20190222165949.GA22492@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Fri, 22 Feb 2019 19:35:17 +0100
Message-ID: <87o9733c4a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34597
Cc: 34597 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


mikadoZero <mikadozero@HIDDEN> writes:

> Attached are diffs for three of the packages listed in the `guix
> challenge` output that were listed as differing.

Thank you, this is very helpful!

> diff -ru --no-dereference /gnu/store/9z98cvjm7p7z21xdid1ryydxy5vyz6wr-pyt=
hon-3.7.0/lib/python3.7/site-packages/pip-10.0.1.dist-info/RECORD /tmp/pyth=
on/lib/python3.7/site-packages/pip-10.0.1.dist-info/RECORD
> --- /gnu/store/9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0/lib/python3.=
7/site-packages/pip-10.0.1.dist-info/RECORD	1969-12-31 19:00:01.000000000 -=
0500
> +++ /tmp/python/lib/python3.7/site-packages/pip-10.0.1.dist-info/RECORD	1=
970-01-01 00:00:01.000000000 -0500
> @@ -295,285 +295,285 @@
>  ../../../bin/pip3,sha256=3D78NRTi33kWTTiOubADOTlPa85pTXmVhJrO-OdccUy3Q,2=
70
>  ../../../bin/pip3.7,sha256=3D78NRTi33kWTTiOubADOTlPa85pTXmVhJrO-OdccUy3Q=
,270
>  pip-10.0.1.dist-info/INSTALLER,sha256=3Dzuuue4knoyJ-UwPPXg8fezS7VCrXJQrA=
P7zeNuwvFQg,4
> -pip/_vendor/html5lib/treebuilders/__pycache__/__init__.cpython-37.pyc,,
> -pip/_vendor/html5lib/treebuilders/__pycache__/etree.cpython-37.pyc,,
> -pip/_vendor/html5lib/treebuilders/__pycache__/dom.cpython-37.pyc,,
> -pip/_vendor/html5lib/treebuilders/__pycache__/etree_lxml.cpython-37.pyc,,
[=E2=80=A6]

This looks like the output is not ordered; maybe it=E2=80=99s the result of
readdir, which can return files in arbitrary order.  We=E2=80=99ll need to =
find
the code responsible for generating these RECORD files and patch it to
sort the result of readdir.

On to Guile:

> Binary files /gnu/store/9alic3caqhay3h8mx4iihpmyj6ymqpcx-guile-2.2.4/lib/=
guile/2.2/ccache/ice-9/suspendable-ports.go and /tmp/guile/lib/guile/2.2/cc=
ache/ice-9/suspendable-ports.go differ
> Binary files /gnu/store/9alic3caqhay3h8mx4iihpmyj6ymqpcx-guile-2.2.4/lib/=
guile/2.2/ccache/ice-9/vlist.go and /tmp/guile/lib/guile/2.2/ccache/ice-9/v=
list.go differ
> Binary files /gnu/store/9alic3caqhay3h8mx4iihpmyj6ymqpcx-guile-2.2.4/lib/=
guile/2.2/ccache/srfi/srfi-19.go and /tmp/guile/lib/guile/2.2/ccache/srfi/s=
rfi-19.go differ

I wonder if this is related to non-deterministic behaviour of macro expansi=
on=E2=80=A6?

> Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/gnu/ci.=
go and /tmp/guix-cli/gnu/ci.go differ
> Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/sc=
ripts/build.go and /tmp/guix-cli/guix/scripts/build.go differ
> Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/sc=
ripts/challenge.go and /tmp/guix-cli/guix/scripts/challenge.go differ
> Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/sc=
ripts/describe.go and /tmp/guix-cli/guix/scripts/describe.go differ
> Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/sc=
ripts/import/pypi.go and /tmp/guix-cli/guix/scripts/import/pypi.go differ
> Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/sc=
ripts/lint.go and /tmp/guix-cli/guix/scripts/lint.go differ
> Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/sc=
ripts/offload.go and /tmp/guix-cli/guix/scripts/offload.go differ
> Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/sc=
ripts/pack.go and /tmp/guix-cli/guix/scripts/pack.go differ
> Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/sc=
ripts/processes.go and /tmp/guix-cli/guix/scripts/processes.go differ
> Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/sc=
ripts/publish.go and /tmp/guix-cli/guix/scripts/publish.go differ
> Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/sc=
ripts/substitute.go and /tmp/guix-cli/guix/scripts/substitute.go differ
> Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/sc=
ripts/weather.go and /tmp/guix-cli/guix/scripts/weather.go differ

These are all files relating to =E2=80=9Cguix pull=E2=80=9D.  You listed ot=
her outputs
that are the result of work performed by =E2=80=9Cguix pull=E2=80=9D.  I su=
spect that
there=E2=80=99s something wrong about the environment in which =E2=80=9Cgui=
x pull=E2=80=9D
operates.

--
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#34597; Package guix. Full text available.

Message received at 34597 <at> debbugs.gnu.org:


Received: (at 34597) by debbugs.gnu.org; 22 Feb 2019 16:46:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 22 11:46:47 2019
Received: from localhost ([127.0.0.1]:48540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxDyG-0000sY-Sf
	for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 11:46:46 -0500
Received: from forward102j.mail.yandex.net ([5.45.198.243]:40406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mikadozero@HIDDEN>) id 1gxDyA-0000sD-BA
 for 34597 <at> debbugs.gnu.org; Fri, 22 Feb 2019 11:46:42 -0500
Received: from mxback17j.mail.yandex.net (mxback17j.mail.yandex.net
 [IPv6:2a02:6b8:0:1619::93])
 by forward102j.mail.yandex.net (Yandex) with ESMTP id A96A8F20C76
 for <34597 <at> debbugs.gnu.org>; Fri, 22 Feb 2019 19:46:30 +0300 (MSK)
Received: from smtp3p.mail.yandex.net (smtp3p.mail.yandex.net
 [2a02:6b8:0:1472:2741:0:8b6:8])
 by mxback17j.mail.yandex.net (nwsmtp/Yandex) with ESMTP id vulY9KqPqv-kUPST2hL;
 Fri, 22 Feb 2019 19:46:30 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.com; s=mail;
 t=1550853990; bh=WYF+Ema1y7WTXDm0Yj3TOP4hv5/yZVeFPt0WvPVyTvo=;
 h=In-Reply-To:Subject:To:From:References:Date:Message-ID;
 b=k9gj7KKAAlKA/OX9ArDiez/eJhflLYxqjtHjEgQ0XhsTuXoakAhnn0yXPXC5NR+gM
 l9J6E4gyH6t0Uz/Fyr5++R9Fjz0xTcvsrmfwSjzhMDAYASiLnDncCiKja4JLxUJNdZ
 Cy/mc5xgdTPVK4tTG/wyNzUx9WsxlzkKo0xqK7u4=
Authentication-Results: mxback17j.mail.yandex.net;
 dkim=pass header.i=@yandex.com
Received: by smtp3p.mail.yandex.net (nwsmtp/Yandex) with ESMTPSA id
 hXRvVGnIii-kRXmm7Qm; Fri, 22 Feb 2019 19:46:28 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
Date: Fri, 22 Feb 2019 11:59:50 -0500
From: mikadoZero <mikadozero@HIDDEN>
To: 34597 <at> debbugs.gnu.org
Subject: Re: bug#34597: `guix challenge` - 41 packages differ
Message-ID: <20190222165949.GA22492@HIDDEN>
References: <20190220233151.GA23130@HIDDEN> <20190221000134.GB28504@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="RnlQjJ0d97Da+TV1"
Content-Disposition: inline
In-Reply-To: <20190221000134.GB28504@HIDDEN>
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34597
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--RnlQjJ0d97Da+TV1
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Attached are diffs for three of the packages listed in the `guix challenge` output that were listed as differing.

--RnlQjJ0d97Da+TV1
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename=python-diff

diff -ru --no-dereference /gnu/store/9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0/lib/python3.7/site-packages/pip-10.0.1.dist-info/RECORD /tmp/python/lib/python3.7/site-packages/pip-10.0.1.dist-info/RECORD
--- /gnu/store/9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0/lib/python3.7/site-packages/pip-10.0.1.dist-info/RECORD	1969-12-31 19:00:01.000000000 -0500
+++ /tmp/python/lib/python3.7/site-packages/pip-10.0.1.dist-info/RECORD	1970-01-01 00:00:01.000000000 -0500
@@ -295,285 +295,285 @@
 ../../../bin/pip3,sha256=78NRTi33kWTTiOubADOTlPa85pTXmVhJrO-OdccUy3Q,270
 ../../../bin/pip3.7,sha256=78NRTi33kWTTiOubADOTlPa85pTXmVhJrO-OdccUy3Q,270
 pip-10.0.1.dist-info/INSTALLER,sha256=zuuue4knoyJ-UwPPXg8fezS7VCrXJQrAP7zeNuwvFQg,4
-pip/_vendor/html5lib/treebuilders/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/html5lib/treebuilders/__pycache__/etree.cpython-37.pyc,,
-pip/_vendor/html5lib/treebuilders/__pycache__/dom.cpython-37.pyc,,
-pip/_vendor/html5lib/treebuilders/__pycache__/etree_lxml.cpython-37.pyc,,
-pip/_vendor/html5lib/treebuilders/__pycache__/base.cpython-37.pyc,,
-pip/_vendor/html5lib/filters/__pycache__/alphabeticalattributes.cpython-37.pyc,,
-pip/_vendor/html5lib/filters/__pycache__/whitespace.cpython-37.pyc,,
-pip/_vendor/html5lib/filters/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/html5lib/filters/__pycache__/lint.cpython-37.pyc,,
-pip/_vendor/html5lib/filters/__pycache__/inject_meta_charset.cpython-37.pyc,,
-pip/_vendor/html5lib/filters/__pycache__/optionaltags.cpython-37.pyc,,
-pip/_vendor/html5lib/filters/__pycache__/sanitizer.cpython-37.pyc,,
-pip/_vendor/html5lib/filters/__pycache__/base.cpython-37.pyc,,
-pip/_vendor/html5lib/_trie/__pycache__/py.cpython-37.pyc,,
-pip/_vendor/html5lib/_trie/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/html5lib/_trie/__pycache__/_base.cpython-37.pyc,,
-pip/_vendor/html5lib/_trie/__pycache__/datrie.cpython-37.pyc,,
-pip/_vendor/html5lib/treewalkers/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/html5lib/treewalkers/__pycache__/etree.cpython-37.pyc,,
-pip/_vendor/html5lib/treewalkers/__pycache__/dom.cpython-37.pyc,,
-pip/_vendor/html5lib/treewalkers/__pycache__/etree_lxml.cpython-37.pyc,,
-pip/_vendor/html5lib/treewalkers/__pycache__/genshi.cpython-37.pyc,,
-pip/_vendor/html5lib/treewalkers/__pycache__/base.cpython-37.pyc,,
-pip/_vendor/html5lib/treeadapters/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/html5lib/treeadapters/__pycache__/sax.cpython-37.pyc,,
-pip/_vendor/html5lib/treeadapters/__pycache__/genshi.cpython-37.pyc,,
-pip/_vendor/html5lib/__pycache__/_inputstream.cpython-37.pyc,,
-pip/_vendor/html5lib/__pycache__/_utils.cpython-37.pyc,,
-pip/_vendor/html5lib/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/html5lib/__pycache__/_ihatexml.cpython-37.pyc,,
-pip/_vendor/html5lib/__pycache__/constants.cpython-37.pyc,,
-pip/_vendor/html5lib/__pycache__/serializer.cpython-37.pyc,,
-pip/_vendor/html5lib/__pycache__/html5parser.cpython-37.pyc,,
-pip/_vendor/html5lib/__pycache__/_tokenizer.cpython-37.pyc,,
+pip/__pycache__/__init__.cpython-37.pyc,,
+pip/__pycache__/__main__.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/show.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/help.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/search.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/freeze.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/download.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/__init__.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/list.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/configuration.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/completion.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/uninstall.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/check.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/install.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/hash.cpython-37.pyc,,
+pip/_internal/commands/__pycache__/wheel.cpython-37.pyc,,
+pip/_internal/__pycache__/status_codes.cpython-37.pyc,,
+pip/_internal/__pycache__/baseparser.cpython-37.pyc,,
+pip/_internal/__pycache__/index.cpython-37.pyc,,
+pip/_internal/__pycache__/locations.cpython-37.pyc,,
+pip/_internal/__pycache__/build_env.cpython-37.pyc,,
+pip/_internal/__pycache__/resolve.cpython-37.pyc,,
+pip/_internal/__pycache__/download.cpython-37.pyc,,
+pip/_internal/__pycache__/__init__.cpython-37.pyc,,
+pip/_internal/__pycache__/configuration.cpython-37.pyc,,
+pip/_internal/__pycache__/exceptions.cpython-37.pyc,,
+pip/_internal/__pycache__/cmdoptions.cpython-37.pyc,,
+pip/_internal/__pycache__/compat.cpython-37.pyc,,
+pip/_internal/__pycache__/pep425tags.cpython-37.pyc,,
+pip/_internal/__pycache__/basecommand.cpython-37.pyc,,
+pip/_internal/__pycache__/cache.cpython-37.pyc,,
+pip/_internal/__pycache__/wheel.cpython-37.pyc,,
+pip/_internal/models/__pycache__/index.cpython-37.pyc,,
+pip/_internal/models/__pycache__/__init__.cpython-37.pyc,,
+pip/_internal/vcs/__pycache__/bazaar.cpython-37.pyc,,
+pip/_internal/vcs/__pycache__/subversion.cpython-37.pyc,,
+pip/_internal/vcs/__pycache__/__init__.cpython-37.pyc,,
+pip/_internal/vcs/__pycache__/mercurial.cpython-37.pyc,,
+pip/_internal/vcs/__pycache__/git.cpython-37.pyc,,
+pip/_internal/req/__pycache__/req_uninstall.cpython-37.pyc,,
+pip/_internal/req/__pycache__/req_set.cpython-37.pyc,,
+pip/_internal/req/__pycache__/req_file.cpython-37.pyc,,
+pip/_internal/req/__pycache__/__init__.cpython-37.pyc,,
+pip/_internal/req/__pycache__/req_install.cpython-37.pyc,,
+pip/_internal/operations/__pycache__/prepare.cpython-37.pyc,,
+pip/_internal/operations/__pycache__/freeze.cpython-37.pyc,,
+pip/_internal/operations/__pycache__/__init__.cpython-37.pyc,,
+pip/_internal/operations/__pycache__/check.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/temp_dir.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/glibc.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/filesystem.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/typing.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/deprecation.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/misc.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/outdated.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/hashes.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/appdirs.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/ui.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/__init__.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/packaging.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/logging.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/setuptools_build.cpython-37.pyc,,
+pip/_internal/utils/__pycache__/encoding.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/mbcharsetprober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/enums.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/sbcharsetprober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/hebrewprober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/mbcsgroupprober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/euctwfreq.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/langturkishmodel.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/gb2312prober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/langthaimodel.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/version.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/big5prober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/langbulgarianmodel.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/codingstatemachine.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/langhungarianmodel.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/charsetprober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/escprober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/euckrfreq.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/jpcntx.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/jisfreq.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/cp949prober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/universaldetector.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/sjisprober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/gb2312freq.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/chardistribution.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/euctwprober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/langcyrillicmodel.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/charsetgroupprober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/latin1prober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/mbcssm.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/big5freq.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/utf8prober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/euckrprober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/langhebrewmodel.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/sbcsgroupprober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/compat.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/langgreekmodel.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/eucjpprober.cpython-37.pyc,,
+pip/_vendor/chardet/__pycache__/escsm.cpython-37.pyc,,
+pip/_vendor/chardet/cli/__pycache__/chardetect.cpython-37.pyc,,
+pip/_vendor/chardet/cli/__pycache__/__init__.cpython-37.pyc,,
 pip/_vendor/webencodings/__pycache__/tests.cpython-37.pyc,,
-pip/_vendor/webencodings/__pycache__/x_user_defined.cpython-37.pyc,,
-pip/_vendor/webencodings/__pycache__/mklabels.cpython-37.pyc,,
-pip/_vendor/webencodings/__pycache__/__init__.cpython-37.pyc,,
 pip/_vendor/webencodings/__pycache__/labels.cpython-37.pyc,,
-pip/_vendor/urllib3/contrib/_securetransport/__pycache__/bindings.cpython-37.pyc,,
-pip/_vendor/urllib3/contrib/_securetransport/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/urllib3/contrib/_securetransport/__pycache__/low_level.cpython-37.pyc,,
-pip/_vendor/urllib3/contrib/__pycache__/socks.cpython-37.pyc,,
-pip/_vendor/urllib3/contrib/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/urllib3/contrib/__pycache__/appengine.cpython-37.pyc,,
-pip/_vendor/urllib3/contrib/__pycache__/securetransport.cpython-37.pyc,,
-pip/_vendor/urllib3/contrib/__pycache__/ntlmpool.cpython-37.pyc,,
-pip/_vendor/urllib3/contrib/__pycache__/pyopenssl.cpython-37.pyc,,
-pip/_vendor/urllib3/packages/backports/__pycache__/makefile.cpython-37.pyc,,
-pip/_vendor/urllib3/packages/backports/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/urllib3/packages/ssl_match_hostname/__pycache__/_implementation.cpython-37.pyc,,
-pip/_vendor/urllib3/packages/ssl_match_hostname/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/urllib3/packages/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/urllib3/packages/__pycache__/six.cpython-37.pyc,,
-pip/_vendor/urllib3/packages/__pycache__/ordered_dict.cpython-37.pyc,,
-pip/_vendor/urllib3/__pycache__/_collections.cpython-37.pyc,,
-pip/_vendor/urllib3/__pycache__/fields.cpython-37.pyc,,
-pip/_vendor/urllib3/__pycache__/response.cpython-37.pyc,,
-pip/_vendor/urllib3/__pycache__/connectionpool.cpython-37.pyc,,
-pip/_vendor/urllib3/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/urllib3/__pycache__/connection.cpython-37.pyc,,
-pip/_vendor/urllib3/__pycache__/request.cpython-37.pyc,,
-pip/_vendor/urllib3/__pycache__/exceptions.cpython-37.pyc,,
-pip/_vendor/urllib3/__pycache__/poolmanager.cpython-37.pyc,,
-pip/_vendor/urllib3/__pycache__/filepost.cpython-37.pyc,,
-pip/_vendor/urllib3/util/__pycache__/response.cpython-37.pyc,,
-pip/_vendor/urllib3/util/__pycache__/timeout.cpython-37.pyc,,
-pip/_vendor/urllib3/util/__pycache__/url.cpython-37.pyc,,
-pip/_vendor/urllib3/util/__pycache__/retry.cpython-37.pyc,,
-pip/_vendor/urllib3/util/__pycache__/ssl_.cpython-37.pyc,,
-pip/_vendor/urllib3/util/__pycache__/selectors.cpython-37.pyc,,
-pip/_vendor/urllib3/util/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/urllib3/util/__pycache__/connection.cpython-37.pyc,,
-pip/_vendor/urllib3/util/__pycache__/request.cpython-37.pyc,,
-pip/_vendor/urllib3/util/__pycache__/wait.cpython-37.pyc,,
-pip/_vendor/lockfile/__pycache__/mkdirlockfile.cpython-37.pyc,,
-pip/_vendor/lockfile/__pycache__/sqlitelockfile.cpython-37.pyc,,
-pip/_vendor/lockfile/__pycache__/pidlockfile.cpython-37.pyc,,
-pip/_vendor/lockfile/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/lockfile/__pycache__/linklockfile.cpython-37.pyc,,
-pip/_vendor/lockfile/__pycache__/symlinklockfile.cpython-37.pyc,,
-pip/_vendor/certifi/__pycache__/__main__.cpython-37.pyc,,
-pip/_vendor/certifi/__pycache__/core.cpython-37.pyc,,
-pip/_vendor/certifi/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/packaging/__pycache__/specifiers.cpython-37.pyc,,
-pip/_vendor/packaging/__pycache__/__about__.cpython-37.pyc,,
-pip/_vendor/packaging/__pycache__/utils.cpython-37.pyc,,
-pip/_vendor/packaging/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/packaging/__pycache__/markers.cpython-37.pyc,,
-pip/_vendor/packaging/__pycache__/version.cpython-37.pyc,,
-pip/_vendor/packaging/__pycache__/_compat.cpython-37.pyc,,
-pip/_vendor/packaging/__pycache__/requirements.cpython-37.pyc,,
-pip/_vendor/packaging/__pycache__/_structures.cpython-37.pyc,,
-pip/_vendor/requests/__pycache__/help.cpython-37.pyc,,
-pip/_vendor/requests/__pycache__/certs.cpython-37.pyc,,
-pip/_vendor/requests/__pycache__/structures.cpython-37.pyc,,
+pip/_vendor/webencodings/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/webencodings/__pycache__/mklabels.cpython-37.pyc,,
+pip/_vendor/webencodings/__pycache__/x_user_defined.cpython-37.pyc,,
 pip/_vendor/requests/__pycache__/utils.cpython-37.pyc,,
-pip/_vendor/requests/__pycache__/__version__.cpython-37.pyc,,
-pip/_vendor/requests/__pycache__/packages.cpython-37.pyc,,
-pip/_vendor/requests/__pycache__/cookies.cpython-37.pyc,,
-pip/_vendor/requests/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/requests/__pycache__/status_codes.cpython-37.pyc,,
 pip/_vendor/requests/__pycache__/auth.cpython-37.pyc,,
-pip/_vendor/requests/__pycache__/adapters.cpython-37.pyc,,
 pip/_vendor/requests/__pycache__/_internal_utils.cpython-37.pyc,,
+pip/_vendor/requests/__pycache__/__version__.cpython-37.pyc,,
+pip/_vendor/requests/__pycache__/adapters.cpython-37.pyc,,
+pip/_vendor/requests/__pycache__/hooks.cpython-37.pyc,,
+pip/_vendor/requests/__pycache__/models.cpython-37.pyc,,
+pip/_vendor/requests/__pycache__/certs.cpython-37.pyc,,
+pip/_vendor/requests/__pycache__/help.cpython-37.pyc,,
+pip/_vendor/requests/__pycache__/packages.cpython-37.pyc,,
 pip/_vendor/requests/__pycache__/sessions.cpython-37.pyc,,
-pip/_vendor/requests/__pycache__/status_codes.cpython-37.pyc,,
-pip/_vendor/requests/__pycache__/api.cpython-37.pyc,,
+pip/_vendor/requests/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/requests/__pycache__/cookies.cpython-37.pyc,,
 pip/_vendor/requests/__pycache__/exceptions.cpython-37.pyc,,
-pip/_vendor/requests/__pycache__/hooks.cpython-37.pyc,,
+pip/_vendor/requests/__pycache__/api.cpython-37.pyc,,
 pip/_vendor/requests/__pycache__/compat.cpython-37.pyc,,
-pip/_vendor/requests/__pycache__/models.cpython-37.pyc,,
-pip/_vendor/colorama/__pycache__/ansitowin32.cpython-37.pyc,,
-pip/_vendor/colorama/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/colorama/__pycache__/winterm.cpython-37.pyc,,
-pip/_vendor/colorama/__pycache__/win32.cpython-37.pyc,,
-pip/_vendor/colorama/__pycache__/initialise.cpython-37.pyc,,
-pip/_vendor/colorama/__pycache__/ansi.cpython-37.pyc,,
-pip/_vendor/pytoml/__pycache__/core.cpython-37.pyc,,
-pip/_vendor/pytoml/__pycache__/parser.cpython-37.pyc,,
-pip/_vendor/pytoml/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/pytoml/__pycache__/writer.cpython-37.pyc,,
-pip/_vendor/progress/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/progress/__pycache__/spinner.cpython-37.pyc,,
-pip/_vendor/progress/__pycache__/counter.cpython-37.pyc,,
-pip/_vendor/progress/__pycache__/bar.cpython-37.pyc,,
-pip/_vendor/progress/__pycache__/helpers.cpython-37.pyc,,
-pip/_vendor/msgpack/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/msgpack/__pycache__/_version.cpython-37.pyc,,
-pip/_vendor/msgpack/__pycache__/exceptions.cpython-37.pyc,,
-pip/_vendor/msgpack/__pycache__/fallback.cpython-37.pyc,,
+pip/_vendor/requests/__pycache__/structures.cpython-37.pyc,,
+pip/_vendor/cachecontrol/caches/__pycache__/file_cache.cpython-37.pyc,,
 pip/_vendor/cachecontrol/caches/__pycache__/redis_cache.cpython-37.pyc,,
 pip/_vendor/cachecontrol/caches/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/cachecontrol/caches/__pycache__/file_cache.cpython-37.pyc,,
-pip/_vendor/cachecontrol/__pycache__/serialize.cpython-37.pyc,,
-pip/_vendor/cachecontrol/__pycache__/heuristics.cpython-37.pyc,,
-pip/_vendor/cachecontrol/__pycache__/adapter.cpython-37.pyc,,
-pip/_vendor/cachecontrol/__pycache__/__init__.cpython-37.pyc,,
 pip/_vendor/cachecontrol/__pycache__/wrapper.cpython-37.pyc,,
-pip/_vendor/cachecontrol/__pycache__/controller.cpython-37.pyc,,
 pip/_vendor/cachecontrol/__pycache__/_cmd.cpython-37.pyc,,
+pip/_vendor/cachecontrol/__pycache__/controller.cpython-37.pyc,,
+pip/_vendor/cachecontrol/__pycache__/heuristics.cpython-37.pyc,,
+pip/_vendor/cachecontrol/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/cachecontrol/__pycache__/serialize.cpython-37.pyc,,
+pip/_vendor/cachecontrol/__pycache__/adapter.cpython-37.pyc,,
 pip/_vendor/cachecontrol/__pycache__/compat.cpython-37.pyc,,
 pip/_vendor/cachecontrol/__pycache__/filewrapper.cpython-37.pyc,,
 pip/_vendor/cachecontrol/__pycache__/cache.cpython-37.pyc,,
-pip/_vendor/pkg_resources/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/pkg_resources/__pycache__/py31compat.cpython-37.pyc,,
-pip/_vendor/idna/__pycache__/core.cpython-37.pyc,,
-pip/_vendor/idna/__pycache__/codec.cpython-37.pyc,,
-pip/_vendor/idna/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/idna/__pycache__/idnadata.cpython-37.pyc,,
-pip/_vendor/idna/__pycache__/intranges.cpython-37.pyc,,
-pip/_vendor/idna/__pycache__/compat.cpython-37.pyc,,
-pip/_vendor/idna/__pycache__/package_data.cpython-37.pyc,,
-pip/_vendor/idna/__pycache__/uts46data.cpython-37.pyc,,
-pip/_vendor/chardet/cli/__pycache__/chardetect.cpython-37.pyc,,
-pip/_vendor/chardet/cli/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/gb2312prober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/escprober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/langbulgarianmodel.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/langcyrillicmodel.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/euckrfreq.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/mbcsgroupprober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/gb2312freq.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/sjisprober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/jpcntx.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/eucjpprober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/langthaimodel.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/sbcharsetprober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/langturkishmodel.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/mbcharsetprober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/version.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/codingstatemachine.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/charsetprober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/chardistribution.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/cp949prober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/langhebrewmodel.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/jisfreq.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/euctwprober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/latin1prober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/sbcsgroupprober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/utf8prober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/mbcssm.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/compat.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/langgreekmodel.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/escsm.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/langhungarianmodel.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/hebrewprober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/euckrprober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/enums.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/big5freq.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/euctwfreq.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/universaldetector.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/big5prober.cpython-37.pyc,,
-pip/_vendor/chardet/__pycache__/charsetgroupprober.cpython-37.pyc,,
-pip/_vendor/__pycache__/pyparsing.cpython-37.pyc,,
-pip/_vendor/__pycache__/ipaddress.cpython-37.pyc,,
-pip/_vendor/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/__pycache__/six.cpython-37.pyc,,
 pip/_vendor/__pycache__/distro.cpython-37.pyc,,
-pip/_vendor/__pycache__/retrying.cpython-37.pyc,,
 pip/_vendor/__pycache__/appdirs.cpython-37.pyc,,
-pip/_vendor/distlib/_backport/__pycache__/sysconfig.cpython-37.pyc,,
-pip/_vendor/distlib/_backport/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/__pycache__/retrying.cpython-37.pyc,,
+pip/_vendor/__pycache__/six.cpython-37.pyc,,
+pip/_vendor/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/__pycache__/ipaddress.cpython-37.pyc,,
+pip/_vendor/__pycache__/pyparsing.cpython-37.pyc,,
+pip/_vendor/progress/__pycache__/bar.cpython-37.pyc,,
+pip/_vendor/progress/__pycache__/helpers.cpython-37.pyc,,
+pip/_vendor/progress/__pycache__/spinner.cpython-37.pyc,,
+pip/_vendor/progress/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/progress/__pycache__/counter.cpython-37.pyc,,
+pip/_vendor/pytoml/__pycache__/writer.cpython-37.pyc,,
+pip/_vendor/pytoml/__pycache__/parser.cpython-37.pyc,,
+pip/_vendor/pytoml/__pycache__/core.cpython-37.pyc,,
+pip/_vendor/pytoml/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/certifi/__pycache__/core.cpython-37.pyc,,
+pip/_vendor/certifi/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/certifi/__pycache__/__main__.cpython-37.pyc,,
 pip/_vendor/distlib/_backport/__pycache__/misc.cpython-37.pyc,,
-pip/_vendor/distlib/_backport/__pycache__/shutil.cpython-37.pyc,,
 pip/_vendor/distlib/_backport/__pycache__/tarfile.cpython-37.pyc,,
-pip/_vendor/distlib/__pycache__/scripts.cpython-37.pyc,,
-pip/_vendor/distlib/__pycache__/util.cpython-37.pyc,,
-pip/_vendor/distlib/__pycache__/wheel.cpython-37.pyc,,
-pip/_vendor/distlib/__pycache__/__init__.cpython-37.pyc,,
-pip/_vendor/distlib/__pycache__/locators.cpython-37.pyc,,
-pip/_vendor/distlib/__pycache__/markers.cpython-37.pyc,,
+pip/_vendor/distlib/_backport/__pycache__/shutil.cpython-37.pyc,,
+pip/_vendor/distlib/_backport/__pycache__/sysconfig.cpython-37.pyc,,
+pip/_vendor/distlib/_backport/__pycache__/__init__.cpython-37.pyc,,
 pip/_vendor/distlib/__pycache__/resources.cpython-37.pyc,,
-pip/_vendor/distlib/__pycache__/version.cpython-37.pyc,,
-pip/_vendor/distlib/__pycache__/manifest.cpython-37.pyc,,
+pip/_vendor/distlib/__pycache__/util.cpython-37.pyc,,
+pip/_vendor/distlib/__pycache__/metadata.cpython-37.pyc,,
 pip/_vendor/distlib/__pycache__/database.cpython-37.pyc,,
+pip/_vendor/distlib/__pycache__/manifest.cpython-37.pyc,,
+pip/_vendor/distlib/__pycache__/version.cpython-37.pyc,,
 pip/_vendor/distlib/__pycache__/index.cpython-37.pyc,,
+pip/_vendor/distlib/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/distlib/__pycache__/markers.cpython-37.pyc,,
+pip/_vendor/distlib/__pycache__/locators.cpython-37.pyc,,
 pip/_vendor/distlib/__pycache__/compat.cpython-37.pyc,,
-pip/_vendor/distlib/__pycache__/metadata.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/help.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/freeze.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/download.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/wheel.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/__init__.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/check.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/search.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/completion.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/configuration.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/hash.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/list.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/uninstall.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/show.cpython-37.pyc,,
-pip/_internal/commands/__pycache__/install.cpython-37.pyc,,
-pip/_internal/models/__pycache__/__init__.cpython-37.pyc,,
-pip/_internal/models/__pycache__/index.cpython-37.pyc,,
-pip/_internal/vcs/__pycache__/git.cpython-37.pyc,,
-pip/_internal/vcs/__pycache__/subversion.cpython-37.pyc,,
-pip/_internal/vcs/__pycache__/mercurial.cpython-37.pyc,,
-pip/_internal/vcs/__pycache__/__init__.cpython-37.pyc,,
-pip/_internal/vcs/__pycache__/bazaar.cpython-37.pyc,,
-pip/_internal/operations/__pycache__/freeze.cpython-37.pyc,,
-pip/_internal/operations/__pycache__/__init__.cpython-37.pyc,,
-pip/_internal/operations/__pycache__/check.cpython-37.pyc,,
-pip/_internal/operations/__pycache__/prepare.cpython-37.pyc,,
-pip/_internal/req/__pycache__/req_install.cpython-37.pyc,,
-pip/_internal/req/__pycache__/req_uninstall.cpython-37.pyc,,
-pip/_internal/req/__pycache__/__init__.cpython-37.pyc,,
-pip/_internal/req/__pycache__/req_set.cpython-37.pyc,,
-pip/_internal/req/__pycache__/req_file.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/ui.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/outdated.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/logging.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/temp_dir.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/filesystem.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/packaging.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/__init__.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/misc.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/hashes.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/typing.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/setuptools_build.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/deprecation.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/appdirs.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/encoding.cpython-37.pyc,,
-pip/_internal/utils/__pycache__/glibc.cpython-37.pyc,,
-pip/_internal/__pycache__/baseparser.cpython-37.pyc,,
-pip/_internal/__pycache__/download.cpython-37.pyc,,
-pip/_internal/__pycache__/pep425tags.cpython-37.pyc,,
-pip/_internal/__pycache__/wheel.cpython-37.pyc,,
-pip/_internal/__pycache__/__init__.cpython-37.pyc,,
-pip/_internal/__pycache__/resolve.cpython-37.pyc,,
-pip/_internal/__pycache__/build_env.cpython-37.pyc,,
-pip/_internal/__pycache__/status_codes.cpython-37.pyc,,
-pip/_internal/__pycache__/configuration.cpython-37.pyc,,
-pip/_internal/__pycache__/index.cpython-37.pyc,,
-pip/_internal/__pycache__/exceptions.cpython-37.pyc,,
-pip/_internal/__pycache__/compat.cpython-37.pyc,,
-pip/_internal/__pycache__/locations.cpython-37.pyc,,
-pip/_internal/__pycache__/basecommand.cpython-37.pyc,,
-pip/_internal/__pycache__/cmdoptions.cpython-37.pyc,,
-pip/_internal/__pycache__/cache.cpython-37.pyc,,
-pip/__pycache__/__main__.cpython-37.pyc,,
-pip/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/distlib/__pycache__/scripts.cpython-37.pyc,,
+pip/_vendor/distlib/__pycache__/wheel.cpython-37.pyc,,
+pip/_vendor/idna/__pycache__/package_data.cpython-37.pyc,,
+pip/_vendor/idna/__pycache__/codec.cpython-37.pyc,,
+pip/_vendor/idna/__pycache__/uts46data.cpython-37.pyc,,
+pip/_vendor/idna/__pycache__/core.cpython-37.pyc,,
+pip/_vendor/idna/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/idna/__pycache__/intranges.cpython-37.pyc,,
+pip/_vendor/idna/__pycache__/compat.cpython-37.pyc,,
+pip/_vendor/idna/__pycache__/idnadata.cpython-37.pyc,,
+pip/_vendor/msgpack/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/msgpack/__pycache__/_version.cpython-37.pyc,,
+pip/_vendor/msgpack/__pycache__/exceptions.cpython-37.pyc,,
+pip/_vendor/msgpack/__pycache__/fallback.cpython-37.pyc,,
+pip/_vendor/urllib3/__pycache__/connection.cpython-37.pyc,,
+pip/_vendor/urllib3/__pycache__/response.cpython-37.pyc,,
+pip/_vendor/urllib3/__pycache__/_collections.cpython-37.pyc,,
+pip/_vendor/urllib3/__pycache__/fields.cpython-37.pyc,,
+pip/_vendor/urllib3/__pycache__/connectionpool.cpython-37.pyc,,
+pip/_vendor/urllib3/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/urllib3/__pycache__/exceptions.cpython-37.pyc,,
+pip/_vendor/urllib3/__pycache__/filepost.cpython-37.pyc,,
+pip/_vendor/urllib3/__pycache__/request.cpython-37.pyc,,
+pip/_vendor/urllib3/__pycache__/poolmanager.cpython-37.pyc,,
+pip/_vendor/urllib3/util/__pycache__/wait.cpython-37.pyc,,
+pip/_vendor/urllib3/util/__pycache__/connection.cpython-37.pyc,,
+pip/_vendor/urllib3/util/__pycache__/ssl_.cpython-37.pyc,,
+pip/_vendor/urllib3/util/__pycache__/response.cpython-37.pyc,,
+pip/_vendor/urllib3/util/__pycache__/timeout.cpython-37.pyc,,
+pip/_vendor/urllib3/util/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/urllib3/util/__pycache__/retry.cpython-37.pyc,,
+pip/_vendor/urllib3/util/__pycache__/selectors.cpython-37.pyc,,
+pip/_vendor/urllib3/util/__pycache__/url.cpython-37.pyc,,
+pip/_vendor/urllib3/util/__pycache__/request.cpython-37.pyc,,
+pip/_vendor/urllib3/contrib/__pycache__/pyopenssl.cpython-37.pyc,,
+pip/_vendor/urllib3/contrib/__pycache__/appengine.cpython-37.pyc,,
+pip/_vendor/urllib3/contrib/__pycache__/socks.cpython-37.pyc,,
+pip/_vendor/urllib3/contrib/__pycache__/securetransport.cpython-37.pyc,,
+pip/_vendor/urllib3/contrib/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/urllib3/contrib/__pycache__/ntlmpool.cpython-37.pyc,,
+pip/_vendor/urllib3/contrib/_securetransport/__pycache__/bindings.cpython-37.pyc,,
+pip/_vendor/urllib3/contrib/_securetransport/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/urllib3/contrib/_securetransport/__pycache__/low_level.cpython-37.pyc,,
+pip/_vendor/urllib3/packages/__pycache__/six.cpython-37.pyc,,
+pip/_vendor/urllib3/packages/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/urllib3/packages/__pycache__/ordered_dict.cpython-37.pyc,,
+pip/_vendor/urllib3/packages/backports/__pycache__/makefile.cpython-37.pyc,,
+pip/_vendor/urllib3/packages/backports/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/urllib3/packages/ssl_match_hostname/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/urllib3/packages/ssl_match_hostname/__pycache__/_implementation.cpython-37.pyc,,
+pip/_vendor/html5lib/treewalkers/__pycache__/etree_lxml.cpython-37.pyc,,
+pip/_vendor/html5lib/treewalkers/__pycache__/base.cpython-37.pyc,,
+pip/_vendor/html5lib/treewalkers/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/html5lib/treewalkers/__pycache__/etree.cpython-37.pyc,,
+pip/_vendor/html5lib/treewalkers/__pycache__/genshi.cpython-37.pyc,,
+pip/_vendor/html5lib/treewalkers/__pycache__/dom.cpython-37.pyc,,
+pip/_vendor/html5lib/__pycache__/_inputstream.cpython-37.pyc,,
+pip/_vendor/html5lib/__pycache__/serializer.cpython-37.pyc,,
+pip/_vendor/html5lib/__pycache__/_utils.cpython-37.pyc,,
+pip/_vendor/html5lib/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/html5lib/__pycache__/html5parser.cpython-37.pyc,,
+pip/_vendor/html5lib/__pycache__/constants.cpython-37.pyc,,
+pip/_vendor/html5lib/__pycache__/_tokenizer.cpython-37.pyc,,
+pip/_vendor/html5lib/__pycache__/_ihatexml.cpython-37.pyc,,
+pip/_vendor/html5lib/treebuilders/__pycache__/etree_lxml.cpython-37.pyc,,
+pip/_vendor/html5lib/treebuilders/__pycache__/base.cpython-37.pyc,,
+pip/_vendor/html5lib/treebuilders/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/html5lib/treebuilders/__pycache__/etree.cpython-37.pyc,,
+pip/_vendor/html5lib/treebuilders/__pycache__/dom.cpython-37.pyc,,
+pip/_vendor/html5lib/filters/__pycache__/optionaltags.cpython-37.pyc,,
+pip/_vendor/html5lib/filters/__pycache__/lint.cpython-37.pyc,,
+pip/_vendor/html5lib/filters/__pycache__/whitespace.cpython-37.pyc,,
+pip/_vendor/html5lib/filters/__pycache__/inject_meta_charset.cpython-37.pyc,,
+pip/_vendor/html5lib/filters/__pycache__/base.cpython-37.pyc,,
+pip/_vendor/html5lib/filters/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/html5lib/filters/__pycache__/alphabeticalattributes.cpython-37.pyc,,
+pip/_vendor/html5lib/filters/__pycache__/sanitizer.cpython-37.pyc,,
+pip/_vendor/html5lib/_trie/__pycache__/py.cpython-37.pyc,,
+pip/_vendor/html5lib/_trie/__pycache__/_base.cpython-37.pyc,,
+pip/_vendor/html5lib/_trie/__pycache__/datrie.cpython-37.pyc,,
+pip/_vendor/html5lib/_trie/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/html5lib/treeadapters/__pycache__/sax.cpython-37.pyc,,
+pip/_vendor/html5lib/treeadapters/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/html5lib/treeadapters/__pycache__/genshi.cpython-37.pyc,,
+pip/_vendor/pkg_resources/__pycache__/py31compat.cpython-37.pyc,,
+pip/_vendor/pkg_resources/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/colorama/__pycache__/win32.cpython-37.pyc,,
+pip/_vendor/colorama/__pycache__/ansi.cpython-37.pyc,,
+pip/_vendor/colorama/__pycache__/winterm.cpython-37.pyc,,
+pip/_vendor/colorama/__pycache__/ansitowin32.cpython-37.pyc,,
+pip/_vendor/colorama/__pycache__/initialise.cpython-37.pyc,,
+pip/_vendor/colorama/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/lockfile/__pycache__/mkdirlockfile.cpython-37.pyc,,
+pip/_vendor/lockfile/__pycache__/linklockfile.cpython-37.pyc,,
+pip/_vendor/lockfile/__pycache__/sqlitelockfile.cpython-37.pyc,,
+pip/_vendor/lockfile/__pycache__/pidlockfile.cpython-37.pyc,,
+pip/_vendor/lockfile/__pycache__/symlinklockfile.cpython-37.pyc,,
+pip/_vendor/lockfile/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/packaging/__pycache__/utils.cpython-37.pyc,,
+pip/_vendor/packaging/__pycache__/version.cpython-37.pyc,,
+pip/_vendor/packaging/__pycache__/__about__.cpython-37.pyc,,
+pip/_vendor/packaging/__pycache__/_structures.cpython-37.pyc,,
+pip/_vendor/packaging/__pycache__/specifiers.cpython-37.pyc,,
+pip/_vendor/packaging/__pycache__/__init__.cpython-37.pyc,,
+pip/_vendor/packaging/__pycache__/markers.cpython-37.pyc,,
+pip/_vendor/packaging/__pycache__/requirements.cpython-37.pyc,,
+pip/_vendor/packaging/__pycache__/_compat.cpython-37.pyc,,
diff -ru --no-dereference /gnu/store/9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0/lib/python3.7/site-packages/setuptools-39.0.1.dist-info/RECORD /tmp/python/lib/python3.7/site-packages/setuptools-39.0.1.dist-info/RECORD
--- /gnu/store/9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0/lib/python3.7/site-packages/setuptools-39.0.1.dist-info/RECORD	1969-12-31 19:00:01.000000000 -0500
+++ /tmp/python/lib/python3.7/site-packages/setuptools-39.0.1.dist-info/RECORD	1970-01-01 00:00:01.000000000 -0500
@@ -102,86 +102,86 @@
 setuptools-39.0.1.dist-info/zip-safe,sha256=AbpHGcgLb-kRsJGnwFEktk7uzpZOCcBY74-YBdrKVGs,1
 ../../../bin/easy_install-3.7,sha256=D4sEW7slivWieN_PTeGGLJSbcWsU45Znn_DldKh5-60,288
 setuptools-39.0.1.dist-info/INSTALLER,sha256=zuuue4knoyJ-UwPPXg8fezS7VCrXJQrAP7zeNuwvFQg,4
-setuptools/command/__pycache__/build_ext.cpython-37.pyc,,
-setuptools/command/__pycache__/bdist_rpm.cpython-37.pyc,,
-setuptools/command/__pycache__/test.cpython-37.pyc,,
-setuptools/command/__pycache__/upload.cpython-37.pyc,,
+__pycache__/easy_install.cpython-37.pyc,,
+setuptools/extern/__pycache__/__init__.cpython-37.pyc,,
 setuptools/command/__pycache__/dist_info.cpython-37.pyc,,
-setuptools/command/__pycache__/saveopts.cpython-37.pyc,,
-setuptools/command/__pycache__/upload_docs.cpython-37.pyc,,
-setuptools/command/__pycache__/develop.cpython-37.pyc,,
-setuptools/command/__pycache__/rotate.cpython-37.pyc,,
-setuptools/command/__pycache__/build_py.cpython-37.pyc,,
-setuptools/command/__pycache__/install_lib.cpython-37.pyc,,
-setuptools/command/__pycache__/__init__.cpython-37.pyc,,
-setuptools/command/__pycache__/bdist_egg.cpython-37.pyc,,
 setuptools/command/__pycache__/build_clib.cpython-37.pyc,,
-setuptools/command/__pycache__/setopt.cpython-37.pyc,,
-setuptools/command/__pycache__/sdist.cpython-37.pyc,,
-setuptools/command/__pycache__/register.cpython-37.pyc,,
-setuptools/command/__pycache__/easy_install.cpython-37.pyc,,
-setuptools/command/__pycache__/py36compat.cpython-37.pyc,,
+setuptools/command/__pycache__/install_egg_info.cpython-37.pyc,,
 setuptools/command/__pycache__/alias.cpython-37.pyc,,
+setuptools/command/__pycache__/register.cpython-37.pyc,,
 setuptools/command/__pycache__/install_scripts.cpython-37.pyc,,
-setuptools/command/__pycache__/install_egg_info.cpython-37.pyc,,
-setuptools/command/__pycache__/install.cpython-37.pyc,,
+setuptools/command/__pycache__/install_lib.cpython-37.pyc,,
+setuptools/command/__pycache__/develop.cpython-37.pyc,,
+setuptools/command/__pycache__/setopt.cpython-37.pyc,,
+setuptools/command/__pycache__/rotate.cpython-37.pyc,,
+setuptools/command/__pycache__/saveopts.cpython-37.pyc,,
 setuptools/command/__pycache__/egg_info.cpython-37.pyc,,
+setuptools/command/__pycache__/sdist.cpython-37.pyc,,
+setuptools/command/__pycache__/bdist_egg.cpython-37.pyc,,
+setuptools/command/__pycache__/build_ext.cpython-37.pyc,,
+setuptools/command/__pycache__/upload.cpython-37.pyc,,
+setuptools/command/__pycache__/upload_docs.cpython-37.pyc,,
+setuptools/command/__pycache__/__init__.cpython-37.pyc,,
+setuptools/command/__pycache__/easy_install.cpython-37.pyc,,
 setuptools/command/__pycache__/bdist_wininst.cpython-37.pyc,,
-setuptools/_vendor/packaging/__pycache__/specifiers.cpython-37.pyc,,
-setuptools/_vendor/packaging/__pycache__/__about__.cpython-37.pyc,,
-setuptools/_vendor/packaging/__pycache__/utils.cpython-37.pyc,,
-setuptools/_vendor/packaging/__pycache__/__init__.cpython-37.pyc,,
-setuptools/_vendor/packaging/__pycache__/markers.cpython-37.pyc,,
-setuptools/_vendor/packaging/__pycache__/version.cpython-37.pyc,,
-setuptools/_vendor/packaging/__pycache__/_compat.cpython-37.pyc,,
-setuptools/_vendor/packaging/__pycache__/requirements.cpython-37.pyc,,
-setuptools/_vendor/packaging/__pycache__/_structures.cpython-37.pyc,,
-setuptools/_vendor/__pycache__/pyparsing.cpython-37.pyc,,
-setuptools/_vendor/__pycache__/__init__.cpython-37.pyc,,
-setuptools/_vendor/__pycache__/six.cpython-37.pyc,,
-setuptools/extern/__pycache__/__init__.cpython-37.pyc,,
-setuptools/__pycache__/lib2to3_ex.cpython-37.pyc,,
+setuptools/command/__pycache__/install.cpython-37.pyc,,
+setuptools/command/__pycache__/bdist_rpm.cpython-37.pyc,,
+setuptools/command/__pycache__/test.cpython-37.pyc,,
+setuptools/command/__pycache__/build_py.cpython-37.pyc,,
+setuptools/command/__pycache__/py36compat.cpython-37.pyc,,
+setuptools/__pycache__/py27compat.cpython-37.pyc,,
+setuptools/__pycache__/glibc.cpython-37.pyc,,
 setuptools/__pycache__/py33compat.cpython-37.pyc,,
-setuptools/__pycache__/dep_util.cpython-37.pyc,,
-setuptools/__pycache__/launch.cpython-37.pyc,,
-setuptools/__pycache__/sandbox.cpython-37.pyc,,
-setuptools/__pycache__/archive_util.cpython-37.pyc,,
-setuptools/__pycache__/dist.cpython-37.pyc,,
-setuptools/__pycache__/namespaces.cpython-37.pyc,,
-setuptools/__pycache__/pep425tags.cpython-37.pyc,,
-setuptools/__pycache__/unicode_utils.cpython-37.pyc,,
-setuptools/__pycache__/wheel.cpython-37.pyc,,
-setuptools/__pycache__/__init__.cpython-37.pyc,,
-setuptools/__pycache__/build_meta.cpython-37.pyc,,
+setuptools/__pycache__/depends.cpython-37.pyc,,
 setuptools/__pycache__/windows_support.cpython-37.pyc,,
 setuptools/__pycache__/version.cpython-37.pyc,,
-setuptools/__pycache__/depends.cpython-37.pyc,,
-setuptools/__pycache__/py36compat.cpython-37.pyc,,
-setuptools/__pycache__/site-patch.cpython-37.pyc,,
+setuptools/__pycache__/dist.cpython-37.pyc,,
+setuptools/__pycache__/lib2to3_ex.cpython-37.pyc,,
+setuptools/__pycache__/archive_util.cpython-37.pyc,,
+setuptools/__pycache__/ssl_support.cpython-37.pyc,,
+setuptools/__pycache__/glob.cpython-37.pyc,,
 setuptools/__pycache__/py31compat.cpython-37.pyc,,
+setuptools/__pycache__/__init__.cpython-37.pyc,,
+setuptools/__pycache__/namespaces.cpython-37.pyc,,
+setuptools/__pycache__/sandbox.cpython-37.pyc,,
+setuptools/__pycache__/site-patch.cpython-37.pyc,,
+setuptools/__pycache__/package_index.cpython-37.pyc,,
+setuptools/__pycache__/unicode_utils.cpython-37.pyc,,
 setuptools/__pycache__/monkey.cpython-37.pyc,,
+setuptools/__pycache__/extension.cpython-37.pyc,,
+setuptools/__pycache__/launch.cpython-37.pyc,,
+setuptools/__pycache__/pep425tags.cpython-37.pyc,,
 setuptools/__pycache__/msvc.cpython-37.pyc,,
 setuptools/__pycache__/config.cpython-37.pyc,,
-setuptools/__pycache__/ssl_support.cpython-37.pyc,,
-setuptools/__pycache__/extension.cpython-37.pyc,,
-setuptools/__pycache__/glibc.cpython-37.pyc,,
-setuptools/__pycache__/package_index.cpython-37.pyc,,
-setuptools/__pycache__/glob.cpython-37.pyc,,
-setuptools/__pycache__/py27compat.cpython-37.pyc,,
-pkg_resources/_vendor/packaging/__pycache__/specifiers.cpython-37.pyc,,
-pkg_resources/_vendor/packaging/__pycache__/__about__.cpython-37.pyc,,
+setuptools/__pycache__/dep_util.cpython-37.pyc,,
+setuptools/__pycache__/py36compat.cpython-37.pyc,,
+setuptools/__pycache__/wheel.cpython-37.pyc,,
+setuptools/__pycache__/build_meta.cpython-37.pyc,,
+setuptools/_vendor/__pycache__/six.cpython-37.pyc,,
+setuptools/_vendor/__pycache__/__init__.cpython-37.pyc,,
+setuptools/_vendor/__pycache__/pyparsing.cpython-37.pyc,,
+setuptools/_vendor/packaging/__pycache__/utils.cpython-37.pyc,,
+setuptools/_vendor/packaging/__pycache__/version.cpython-37.pyc,,
+setuptools/_vendor/packaging/__pycache__/__about__.cpython-37.pyc,,
+setuptools/_vendor/packaging/__pycache__/_structures.cpython-37.pyc,,
+setuptools/_vendor/packaging/__pycache__/specifiers.cpython-37.pyc,,
+setuptools/_vendor/packaging/__pycache__/__init__.cpython-37.pyc,,
+setuptools/_vendor/packaging/__pycache__/markers.cpython-37.pyc,,
+setuptools/_vendor/packaging/__pycache__/requirements.cpython-37.pyc,,
+setuptools/_vendor/packaging/__pycache__/_compat.cpython-37.pyc,,
+pkg_resources/extern/__pycache__/__init__.cpython-37.pyc,,
+pkg_resources/__pycache__/py31compat.cpython-37.pyc,,
+pkg_resources/__pycache__/__init__.cpython-37.pyc,,
+pkg_resources/_vendor/__pycache__/appdirs.cpython-37.pyc,,
+pkg_resources/_vendor/__pycache__/six.cpython-37.pyc,,
+pkg_resources/_vendor/__pycache__/__init__.cpython-37.pyc,,
+pkg_resources/_vendor/__pycache__/pyparsing.cpython-37.pyc,,
 pkg_resources/_vendor/packaging/__pycache__/utils.cpython-37.pyc,,
+pkg_resources/_vendor/packaging/__pycache__/version.cpython-37.pyc,,
+pkg_resources/_vendor/packaging/__pycache__/__about__.cpython-37.pyc,,
+pkg_resources/_vendor/packaging/__pycache__/_structures.cpython-37.pyc,,
+pkg_resources/_vendor/packaging/__pycache__/specifiers.cpython-37.pyc,,
 pkg_resources/_vendor/packaging/__pycache__/__init__.cpython-37.pyc,,
 pkg_resources/_vendor/packaging/__pycache__/markers.cpython-37.pyc,,
-pkg_resources/_vendor/packaging/__pycache__/version.cpython-37.pyc,,
-pkg_resources/_vendor/packaging/__pycache__/_compat.cpython-37.pyc,,
 pkg_resources/_vendor/packaging/__pycache__/requirements.cpython-37.pyc,,
-pkg_resources/_vendor/packaging/__pycache__/_structures.cpython-37.pyc,,
-pkg_resources/_vendor/__pycache__/pyparsing.cpython-37.pyc,,
-pkg_resources/_vendor/__pycache__/__init__.cpython-37.pyc,,
-pkg_resources/_vendor/__pycache__/six.cpython-37.pyc,,
-pkg_resources/_vendor/__pycache__/appdirs.cpython-37.pyc,,
-pkg_resources/extern/__pycache__/__init__.cpython-37.pyc,,
-pkg_resources/__pycache__/__init__.cpython-37.pyc,,
-pkg_resources/__pycache__/py31compat.cpython-37.pyc,,
-__pycache__/easy_install.cpython-37.pyc,,
+pkg_resources/_vendor/packaging/__pycache__/_compat.cpython-37.pyc,,

--RnlQjJ0d97Da+TV1
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename=guile-diff

Binary files /gnu/store/9alic3caqhay3h8mx4iihpmyj6ymqpcx-guile-2.2.4/lib/guile/2.2/ccache/ice-9/suspendable-ports.go and /tmp/guile/lib/guile/2.2/ccache/ice-9/suspendable-ports.go differ
Binary files /gnu/store/9alic3caqhay3h8mx4iihpmyj6ymqpcx-guile-2.2.4/lib/guile/2.2/ccache/ice-9/vlist.go and /tmp/guile/lib/guile/2.2/ccache/ice-9/vlist.go differ
Binary files /gnu/store/9alic3caqhay3h8mx4iihpmyj6ymqpcx-guile-2.2.4/lib/guile/2.2/ccache/srfi/srfi-19.go and /tmp/guile/lib/guile/2.2/ccache/srfi/srfi-19.go differ

--RnlQjJ0d97Da+TV1
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename=guix-cli-diff

Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/gnu/ci.go and /tmp/guix-cli/gnu/ci.go differ
Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/scripts/build.go and /tmp/guix-cli/guix/scripts/build.go differ
Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/scripts/challenge.go and /tmp/guix-cli/guix/scripts/challenge.go differ
Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/scripts/describe.go and /tmp/guix-cli/guix/scripts/describe.go differ
Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/scripts/import/pypi.go and /tmp/guix-cli/guix/scripts/import/pypi.go differ
Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/scripts/lint.go and /tmp/guix-cli/guix/scripts/lint.go differ
Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/scripts/offload.go and /tmp/guix-cli/guix/scripts/offload.go differ
Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/scripts/pack.go and /tmp/guix-cli/guix/scripts/pack.go differ
Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/scripts/processes.go and /tmp/guix-cli/guix/scripts/processes.go differ
Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/scripts/publish.go and /tmp/guix-cli/guix/scripts/publish.go differ
Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/scripts/substitute.go and /tmp/guix-cli/guix/scripts/substitute.go differ
Binary files /gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli/guix/scripts/weather.go and /tmp/guix-cli/guix/scripts/weather.go differ

--RnlQjJ0d97Da+TV1--




Information forwarded to bug-guix@HIDDEN:
bug#34597; Package guix. Full text available.

Message received at 34597 <at> debbugs.gnu.org:


Received: (at 34597) by debbugs.gnu.org; 21 Feb 2019 20:40:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 21 15:40:41 2019
Received: from localhost ([127.0.0.1]:59904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwv97-00031a-BM
	for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 15:40:41 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:35363)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1gwv95-00031O-Ay
 for 34597 <at> debbugs.gnu.org; Thu, 21 Feb 2019 15:40:39 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 37F31221E6;
 Thu, 21 Feb 2019 15:40:34 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Thu, 21 Feb 2019 15:40:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=yvJa14p3WmHDmwuXZe7wv2bq
 q8kXs9XJfqdBC0UBMcQ=; b=bPR8Wl2DUwohE7//Nf1kWAwo/VBqfQOX5PF0Q/gH
 aH+GMNrtYGKfH/yts+6tc4ZlzTa0RJKeKrfwbEkMUBssEC9vd2B+AEfU7A2nIV1H
 kwSSj/8Rv9bmHQ4HtEz42W/lqARsZSB/4+7UQ48eA1hPm1il4N+UrTCGY323kmou
 T9w=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=yvJa14
 p3WmHDmwuXZe7wv2bqq8kXs9XJfqdBC0UBMcQ=; b=7pTwQa8Eui2JKpY967t9w9
 7Wnr4nrUrtVuMwx9zjaeWn0/VGTt6Jny4rUEpc6bPy50uRkQ/phn+/JW4uAGwdk/
 0pUATKZg+OwPY8qb2F1M29T9XmHoniTcc+Ls4h5pJ/XIjsm4j0tIB6dT0V5uCMW0
 om2NxI6uGtl+wReHU/caoKQGTyDkugfJCwl9exkwVoM3QZY468VdeB5jhA3tvq65
 4GNPSl45X8JRn+UEwibe5Qr/XKh6gjHdXu9bd5GsFlhy4jKTInAJMf/uDUP7CT4D
 y4mq6kFnJ2CNLobnSaJTdmZ6Ms5avE8/fk8BDLknzHwPsZC2ySr7YdYy2YkAu0qQ
 ==
X-ME-Sender: <xms:wQxvXMMoMcid1Nh03I7l5PR5HlHBmYA_FwFHGuYUYmfI9M_33DEdlQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedutddrtdekgddugedvucdltddurdegtdelrddttd
 dmucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhht
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtuggjfgesgh
 dtreertdervdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhu
 lhgrrhhirdhnrghmvgeqnecukfhppeehtddrvdefvddrheefrdduleejnecurfgrrhgrmh
 epmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgvnecuvehluhhsthgv
 rhfuihiivgeptd
X-ME-Proxy: <xmx:wQxvXPR5_NbRtbnBFCnOB9_pbQJUunHi8OF0a2GXqVK8PnyNkTJFvg>
 <xmx:wQxvXGAuAHNoPHxhBeLGg3-O9v7VBwpDR6yFJvAeKYIm325qgBbk1w>
 <xmx:wQxvXGie0fkjC1Q1UGtTBksthn-sVEu6v5VICVQHljmUuvB3mIRvLA>
 <xmx:wgxvXNCeOtETHgWeXER-XhVQmHjt0J8OGiHh8o336Uv1mdACOZztUg>
Received: from localhost (50-232-53-197-static.hfc.comcastbusiness.net
 [50.232.53.197])
 by mail.messagingengine.com (Postfix) with ESMTPA id 633D8E461F;
 Thu, 21 Feb 2019 15:40:33 -0500 (EST)
Date: Thu, 21 Feb 2019 15:40:32 -0500
From: Leo Famulari <leo@HIDDEN>
To: mikadoZero <mikadozero@HIDDEN>
Subject: Re: bug#34597: `guix challenge` - 41 packages differ
Message-ID: <20190221204032.GC19893@HIDDEN>
References: <20190220233151.GA23130@HIDDEN> <20190221000134.GB28504@HIDDEN>
 <20190221021453.GA28673@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="jy6Sn24JjFx/iggw"
Content-Disposition: inline
In-Reply-To: <20190221021453.GA28673@HIDDEN>
User-Agent: Mutt/1.11.2 (2019-01-07)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34597
Cc: 34597 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--jy6Sn24JjFx/iggw
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Wed, Feb 20, 2019 at 09:14:53PM -0500, mikadoZero wrote:
> --- /gnu/store/9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0
> +++ 9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0
> @@ -1 +1 @@
> -type: directory
> +type: file

I think maybe you compared the wrong things here. Both things being
compared should be directories, and then diffoscope would be able to
report the difference in their contents.

Maybe the second file is actually a compressed archive of a directory?
You can use `file 9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0` to find
out.

--jy6Sn24JjFx/iggw
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlxvDMAACgkQJkb6MLrK
fwjEBA//UyaUwdBqZZWXKJVXddMnxCJZF8jCEHeJyAkW5kgs39y6ec6UI4AXj7wA
U+IVrGtyp3rT5RjZcm6oaOJb43WEJ5d/niPya4nxeOwWJcFjDRXNLLPfYiluv0Ia
1hdRdQwqRtOvGkU4CJ2h7dyz5kH+WfoEZXf0x94ZLPIF83CmeY4aXGTEFGAj/nSm
ZdIZmSrxtzUXVDF8LJGceNivCz4POml34IJZKmS0HtSNJ4Tbn+OX81KV0+HrxIs5
WPek+pCOfLkAZKjCdVD3uZSP12/62fte9624O0uceVjbVZ8/GuIdM6qLcr98VSDy
ZxDHmRlmJwIvqeo8nr64JPJTCMiCWviSe3Mfz++6VgKljcNfAfjPnlr47rXyOKlf
F1WgiJED8Zwx9QYp8LDb2m1SzUYRZmUza3xlgAPlzcDCynA4yQJZvuW4rVRy5EvT
T9V8K8yaD8/fkRf93P/B0K+t9Miw1IFo7kntgwbPiWyvSxyGINsnOHcixb0uXTkd
WHC3shhqr80ams+X38BThrNQOWPMiJJu5TDNKAP4Nucfk40z3BwYQNXqTj6o9/pg
VbCotPAznfUvhEzhNDLDH765X5guW/xK6lWjTKVRjeK/qsOA8Ffi8da54Pb7TKH/
oGfF8XUcSH5gv5hxIK+9pvW7UVw9qq8zVWoJ8xCg0hMUP4UTdv4=
=oBtk
-----END PGP SIGNATURE-----

--jy6Sn24JjFx/iggw--




Information forwarded to bug-guix@HIDDEN:
bug#34597; Package guix. Full text available.

Message received at 34597 <at> debbugs.gnu.org:


Received: (at 34597) by debbugs.gnu.org; 21 Feb 2019 15:52:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 21 10:52:08 2019
Received: from localhost ([127.0.0.1]:59766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwqdr-0004MA-RG
	for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 10:52:08 -0500
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1gwqdp-0004Lz-1Q
 for 34597 <at> debbugs.gnu.org; Thu, 21 Feb 2019 10:52:06 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1550764319; cv=none; d=zoho.com; s=zohoarc; 
 b=CjJwXxw2TeUZHn55x5ZJtJwXCX835mulRo5Fp4GVF3n8Hm14yl8QP/kddVWRolnNHOUU5vpbsne7NqHw0nq3oFra+PWa8tVFO/amPS1vqmHIDwNTaywwK7z/2mW4hhIBEvZ7wuF+28kBKFzVsSzVb+ADWelvUiiBXOAe9g5Z5JQ=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1550764319;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=VA/r0GYU9UgUl6QVkB6Ou6y/BJ73ymOk9QLDQAKwHTQ=; 
 b=boc48NoMbsAwzxbCzi8wNLgloxSiQhI2Y/d7j1cEATxw4nNUG7bj7aA68AuzXRpSRVlIaeRCxk+1wPiXmqyStgqORjM6tjrCY21YhTvErC0lBpAzCMm1ZBJOVm/XaevV1p8S5/F2FI8J7QLpAs8vBrI6KEu1ZuZ0IKSxA4EhCLg=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1550764319; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=385; bh=VA/r0GYU9UgUl6QVkB6Ou6y/BJ73ymOk9QLDQAKwHTQ=;
 b=Qm53fzl6GTgnizF/I2L/VXbdxykNJX72r3MLlp2K2TBJ7IrbcYP/oC5JLsp3DGU1
 q/fVvK9lgcvU5v4VtU3zYplpZUfMtaFNKWqnyAnaV1MTU1PzslitVkQ3e1WYFCjoJsH
 k+bg1v03Z+hcZ96XeBPxTgpgCNDIWriw2hUvp/UI=
Received: from localhost (141.80.238.36 [141.80.238.36]) by mx.zohomail.com
 with SMTPS id 1550764317721185.8325014108549;
 Thu, 21 Feb 2019 07:51:57 -0800 (PST)
References: <20190220233151.GA23130@HIDDEN> <87mumqhvcz.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Brett Gilio <brettg@HIDDEN>
Subject: Re: bug#34597: `guix challenge` - 41 packages differ
In-reply-to: <87mumqhvcz.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 21 Feb 2019 16:51:53 +0100
Message-ID: <87k1ht3zs6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34597
Cc: mikadoZero <mikadozero@HIDDEN>, 34597 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Brett Gilio <brettg@HIDDEN> writes:

> mikadoZero writes:
>
>> After running `guix challenge` there are some packages which differ from=
 ones I have built locally.
[=E2=80=A6]
> Unless I am mistaken this isn't truly a reportable bug.

I asked for these differences to be reported.  When a package cannot be
built reproducibly we consider this a bug.

--=20
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#34597; Package guix. Full text available.

Message received at 34597 <at> debbugs.gnu.org:


Received: (at 34597) by debbugs.gnu.org; 21 Feb 2019 02:01:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 20 21:01:48 2019
Received: from localhost ([127.0.0.1]:58825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwdgJ-0007Rh-Vt
	for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 21:01:48 -0500
Received: from forward100j.mail.yandex.net ([5.45.198.240]:41670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mikadozero@HIDDEN>) id 1gwdgD-0007RN-R6
 for 34597 <at> debbugs.gnu.org; Wed, 20 Feb 2019 21:01:44 -0500
Received: from mxback10j.mail.yandex.net (mxback10j.mail.yandex.net
 [IPv6:2a02:6b8:0:1619::113])
 by forward100j.mail.yandex.net (Yandex) with ESMTP id AFDAF50E09C6
 for <34597 <at> debbugs.gnu.org>; Thu, 21 Feb 2019 05:01:34 +0300 (MSK)
Received: from smtp4o.mail.yandex.net (smtp4o.mail.yandex.net
 [2a02:6b8:0:1a2d::28])
 by mxback10j.mail.yandex.net (nwsmtp/Yandex) with ESMTP id gEpY7GL575-1Y9qkm0W;
 Thu, 21 Feb 2019 05:01:34 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.com; s=mail;
 t=1550714494; bh=MszBb+h8EPPt0pxxH70DkGgWeX4SUjAmA/Crvs3g5jI=;
 h=Date:From:To:Subject:Message-ID:References:In-Reply-To;
 b=bubj4mZz2nSRIO0nH9f7p62HeveHZ9/SnlHR6oLTzqDixT0bX937YYtynNES1wTgG
 /AYccP8R8wsa7keMYOIEe1GfEBEk35WCSYezs3zrwfJJ1Vqh2mN2c6828AwIMD2wte
 /8OiIAP03k33lOXPG5FW2dJzdcA1GNwo0D1lswB8=
Authentication-Results: mxback10j.mail.yandex.net;
 dkim=pass header.i=@yandex.com
Received: by smtp4o.mail.yandex.net (nwsmtp/Yandex) with ESMTPSA id
 hwqj7Li0IR-1XACwjgZ; Thu, 21 Feb 2019 05:01:33 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
Date: Wed, 20 Feb 2019 21:14:53 -0500
From: mikadoZero <mikadozero@HIDDEN>
To: 34597 <at> debbugs.gnu.org
Subject: Re: bug#34597: `guix challenge` - 41 packages differ
Message-ID: <20190221021453.GA28673@HIDDEN>
References: <20190220233151.GA23130@HIDDEN> <20190221000134.GB28504@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20190221000134.GB28504@HIDDEN>
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34597
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

As requested.

Output from `guix describe`:

  guix 34372d3
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 34372d3905e17c880180f811e5b5f83e423e9025

Output from `diffoscope` for three different packages that `guix challenge` highlighted as differing:

--- /gnu/store/9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0
+++ 9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0
@@ -1 +1 @@
-type: directory
+type: file

--- /gnu/store/9alic3caqhay3h8mx4iihpmyj6ymqpcx-guile-2.2.4
+++ 9alic3caqhay3h8mx4iihpmyj6ymqpcx-guile-2.2.4
@@ -1 +1 @@
-type: directory
+type: file

--- /gnu/store/lpwrv02rljddp84km9md8i0820p55dmk-guix-system
+++ lpwrv02rljddp84km9md8i0820p55dmk-guix-system
@@ -1 +1 @@
-type: directory
+type: file




Information forwarded to bug-guix@HIDDEN:
bug#34597; Package guix. Full text available.

Message received at 34597 <at> debbugs.gnu.org:


Received: (at 34597) by debbugs.gnu.org; 21 Feb 2019 00:45:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 20 19:45:41 2019
Received: from localhost ([127.0.0.1]:58800 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwcUe-0005bt-4u
	for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 19:45:41 -0500
Received: from forward101j.mail.yandex.net ([5.45.198.241]:49431)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mikadozero@HIDDEN>) id 1gwcKH-0005MS-Lc
 for 34597 <at> debbugs.gnu.org; Wed, 20 Feb 2019 19:34:59 -0500
Received: from mxback1o.mail.yandex.net (mxback1o.mail.yandex.net
 [IPv6:2a02:6b8:0:1a2d::1b])
 by forward101j.mail.yandex.net (Yandex) with ESMTP id 5DA991BE00DF
 for <34597 <at> debbugs.gnu.org>; Thu, 21 Feb 2019 03:34:48 +0300 (MSK)
Received: from smtp3o.mail.yandex.net (smtp3o.mail.yandex.net
 [2a02:6b8:0:1a2d::27])
 by mxback1o.mail.yandex.net (nwsmtp/Yandex) with ESMTP id qUBeGAdX2C-YmUO2f6G; 
 Thu, 21 Feb 2019 03:34:48 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.com; s=mail;
 t=1550709288; bh=xjRHdMDspUpI5RkudViiBNUFO3nMGhQOsJdbfsQwa6o=;
 h=Date:From:To:Subject:Message-ID:References:In-Reply-To;
 b=FRKxvXTKB7nPUsexh9DGCzI6HCoHZXzGMbDJdiYD0SkbGnF6xnaCi7MFHEXQIU6MD
 jWgeemyLASNA5W7FJw2UpBFuisOCuf1m8xzHzLTvMT5B1LZ9tBeZoFsD+DcPlC9odm
 kPClO12fTGNmlV+bcr0+1nMhIr986ujRNLTgb4lw=
Authentication-Results: mxback1o.mail.yandex.net;
 dkim=pass header.i=@yandex.com
Received: by smtp3o.mail.yandex.net (nwsmtp/Yandex) with ESMTPSA id
 lPne1eqz85-YkY0oubK; Thu, 21 Feb 2019 03:34:46 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
Date: Wed, 20 Feb 2019 19:48:06 -0500
From: mikadoZero <mikadozero@HIDDEN>
To: 34597 <at> debbugs.gnu.org
Subject: Re: bug#34597: `guix challenge` - 41 packages differ
Message-ID: <20190221004806.GA25712@HIDDEN>
References: <20190220233151.GA23130@HIDDEN>
 <87mumqhvcz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87mumqhvcz.fsf@HIDDEN>
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34597
X-Mailman-Approved-At: Wed, 20 Feb 2019 19:45:38 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Two packages did not have guix in their name are:
guile-2.2.4
python-3.7.0

Thank you for referencing that documentation.  I will take a look at it.




Information forwarded to bug-guix@HIDDEN:
bug#34597; Package guix. Full text available.

Message received at 34597 <at> debbugs.gnu.org:


Received: (at 34597) by debbugs.gnu.org; 21 Feb 2019 00:04:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 20 19:04:26 2019
Received: from localhost ([127.0.0.1]:58783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwbqj-0004er-HJ
	for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 19:04:25 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:50247)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1gwbqh-0004ed-5L
 for 34597 <at> debbugs.gnu.org; Wed, 20 Feb 2019 19:04:23 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 4E04D320A;
 Wed, 20 Feb 2019 19:04:17 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Wed, 20 Feb 2019 19:04:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=P2RV1Cx5IibuHo48wf8pqwI/
 9Ji7xCb834vZgA3nq3c=; b=xsTSWx0tmMUql7LI6kuxmsbDyc8lkoyAXoAzczqn
 qP0j/1HAjzUzIewz7Bnm1UBGsY2mgkNMT84UnADfqc5vZBgUWOULjkG0c0VfUQrP
 7EL6xYol/jLCNVURF79oqCNNf1Z2dk6VLnxn/5RZ2Z83zYVp68ZRc5wbhqCk1qE5
 dL8=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=P2RV1C
 x5IibuHo48wf8pqwI/9Ji7xCb834vZgA3nq3c=; b=WXui+cUOipN7XJ6ROfzx82
 RhcA8bNBLGhnh20wtkuqmtdsvsEdtll6sG9WcHoZAnTcfVfovKOKLYMESua/8uzo
 6XVYnfo9sYuTAnBHZpgwqC6gBVAAjcbj8oTILjioFvetlJG2C7n6Td+GDJuFR3On
 ccDxHdCAowJTfwquYa7rnxwlJHjynl0/KuqiRi9DyFtizzTMNyb09+JhSSAszguN
 RuNgm53fSH6Q+7prZVD4edHbXaqafjD+ZqROpCe2HlOrAbb2+Jul3+M4V4/17IDq
 SmKTykKRXjqW5onlAkHMBlk9gLdP0tGhRnzeLmhUMpFjwFKOKKyakU3yXfFCxCAw
 ==
X-ME-Sender: <xms:AOttXJNt5EGsrRBtBIsqHSY9yNnjjsUvOnbSngJHDZ9F8SIsOAbY-Q>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedutddrtdejgdduieculddtuddrgedtledrtddtmd
 cutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjfgesghdtreertdervdenucfhrhhomhepnfgvohcu
 hfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuffhomhgrih
 hnpegsohhothhsthhrrghpphgrsghlvgdrohhrghdpghhnuhdrohhrghenucfkphepjeei
 rdduvdegrddvtddvrddufeejnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrg
 hmuhhlrghrihdrnhgrmhgvnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:AOttXAOvXWe3EzbmeEOQG1Fs5ZPxG5gU4fhJhNJ_dYEIg6dahZKgCg>
 <xmx:AOttXDQjj-CzsmIXr8GHLh0NJ_VbaNIHpBvOuCn_Uirkc8HC3i5uIw>
 <xmx:AOttXKC-gdFgpYsjAHmzlI20oXHEgbYhObOxXW_JClRLmwlHTs8W4Q>
 <xmx:AOttXBCtmSSjNmXCkXnS5YfxesH3x377CewphWcDv7aQTmg1NoDolQ>
Received: from localhost (c-76-124-202-137.hsd1.pa.comcast.net
 [76.124.202.137])
 by mail.messagingengine.com (Postfix) with ESMTPA id B8469E4016;
 Wed, 20 Feb 2019 19:04:15 -0500 (EST)
Date: Wed, 20 Feb 2019 19:04:14 -0500
From: Leo Famulari <leo@HIDDEN>
To: Brett Gilio <brettg@HIDDEN>
Subject: Re: bug#34597: `guix challenge` - 41 packages differ
Message-ID: <20190221000414.GC28504@HIDDEN>
References: <20190220233151.GA23130@HIDDEN>
 <87mumqhvcz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="3siQDZowHQqNOShm"
Content-Disposition: inline
In-Reply-To: <87mumqhvcz.fsf@HIDDEN>
User-Agent: Mutt/1.11.2 (2019-01-07)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34597
Cc: mikadoZero <mikadozero@HIDDEN>, 34597 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--3siQDZowHQqNOShm
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Wed, Feb 20, 2019 at 05:51:24PM -0600, Brett Gilio wrote:
> Unless I am mistaken this isn't truly a reportable bug. As you can see
> in the guix challenge documentation
> https://www.gnu.org/software/guix/manual/en/html_node/Invoking-guix-challenge.html
> the purpose of challenge is to check for deterministic qualities in
> reproducible packages. Right now, not all packages are reproducible as
> the guix team is hard at work trying to find the best solution for
> replacing binary seeds with something fully bootstrappable (see:
> https://bootstrappable.org)

There are a few types of reproducibility that we'd like to implement in
Guix. There is the bootstrapping issue, as you mentioned. But we can
still seek to build packages reproducibly even while Guix is built on
the binary seeds. In most cases that bootstrapping strategy does not
affect the reproducibility of packages.

--3siQDZowHQqNOShm
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlxt6v4ACgkQJkb6MLrK
fwjyKA/+LfqhP/uv4LMdvofoAyLhXY5huxZ1R2nzL3SjEEOhKNP8Tscsa3U+Zdti
iQsKghSnZ9xaUIGAPIBaiVNHukTqWOB2BgyzIxl7EUWQ3uG6fum2eqEkxLX7w3tn
S58nsbzQlEKcMwzxHH+BGFcfFN+8336s9giu+HPZgHxXHKRd1DhOjAnEfQ0jMSqY
0LZKO0WJIf9KLe0nwpr2Lh9fL+/aUm2oa9I3tujWQ95Nu5EzZlo/8dYAG6JJbk/V
afb5dcYYXhBNYDoRnePwBjti+bmD5bZVJbIzYMW1OWTOX9X8Kb9kBd9sYcATyEp1
P4lL/K1OTMH8xOcBYGSb2+yG/spovnlt+e3t5D8LtXssPRNQUZtykSIsFqunN4fD
hiFNP4B7LliAHGNPhkmlPxqzHNTZRl+chhi9Ti4LrjbBmXdEUs0mQ8YjvE0vsHCE
5uVz3lxm1tq266NAscwA65A6IdDrMX3sN65jwG2x9kT5HwwtNfNvYs+ESUo24Nqv
HqGMKw+Zs/3zn8fVXkBR5GMgbz0V0jHTk/YwGLJEsnX/49HKGKoY2psO7NLkeEWc
29Rc2Gvnr4YsdZti5e+yRKN+l/7nfkWLVrrrp+rysmStua9n4pXoXngWGhWQIgy9
JE9KHbmIBfE23ZF2rVitGjCoN5tJt44mrr5WbRHFNisQzNWOGec=
=Q9eG
-----END PGP SIGNATURE-----

--3siQDZowHQqNOShm--




Information forwarded to bug-guix@HIDDEN:
bug#34597; Package guix. Full text available.

Message received at 34597 <at> debbugs.gnu.org:


Received: (at 34597) by debbugs.gnu.org; 21 Feb 2019 00:01:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 20 19:01:47 2019
Received: from localhost ([127.0.0.1]:58778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwboB-0004af-07
	for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 19:01:47 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:42931)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1gwbo8-0004aT-Tt
 for 34597 <at> debbugs.gnu.org; Wed, 20 Feb 2019 19:01:45 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id EFCC831DF;
 Wed, 20 Feb 2019 19:01:38 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Wed, 20 Feb 2019 19:01:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=ngz/5q79hU1MzsukKD+1vumt
 wSwD8m+ljDqJPXwkBMo=; b=TwsYkKjtgC4eC/cDBBXGt9anBNeQdQ/uXIU8cR19
 TVLvQyItq5MG6G6Mf1zym5coHFUWvwp87l6sCtGrsgeSYD2nulfOw0zg7730ZyWK
 yJ/lXFYmGSOJtbRrtQhHIo2SEASUpevW7rZL6ZgS8h7vaO4Xr1YEEviECd5vQSQn
 fB4=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=ngz/5q
 79hU1MzsukKD+1vumtwSwD8m+ljDqJPXwkBMo=; b=Ai8ocqhB4gmxRLy5YOI/xl
 nfIFNR90K9Sj9iTC1qG4fx18sRMhaib4l7xs/LlYpiBMUu5QbGaB586RI/QM9uYt
 vHbpEtrNk66ceb8CFwhk057wZJOD8niO1i0gWpk6sluUasVXh+4+WVqCUhZJ5slq
 RZk//yMwV1AoNEDNmBnrNFPIlGCWi43zsogwvmbKp++IR/MLi2fZlLRMvQtTXq+N
 4XIx7hh5B9zwF8PqLZxIlgDHw4djE1+gGejxgqDsLHC7THjafcFp/GMQv4DGnv9I
 FiZZob12vihKmSzj7KO+4znVXzayd+YcVTwhjsPNBJc5bIjHxRs4/8oLkOStHJsw
 ==
X-ME-Sender: <xms:X-ptXE2ua0L4vGN6PQ0ePS2CMaRCcESmjT_BRtxLhqSKL7zyZCvYZg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedutddrtdejgdduieculddtuddrgedtledrtddtmd
 cutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujggfsehgtd
 erredtredvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhl
 rghrihdrnhgrmhgvqeenucffohhmrghinhepghhuihigrdhinhhfohenucfkphepjeeird
 duvdegrddvtddvrddufeejnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghm
 uhhlrghrihdrnhgrmhgvnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:X-ptXNzKr82HGjnckjXSYvIT9e_CX93X8nB5ElL7MRezOFxA2IIDOw>
 <xmx:X-ptXPIo2OYQK7hhM8iPl7VhOg_ZFcOPSCgLZLEhbya8IaBsa6qI_w>
 <xmx:X-ptXG-piNMNUj28lDh3ZbKOmWhosAkI1WgxV5lXSU9jnMS9rARnDw>
 <xmx:YuptXDbfDldtMVEWwaOpe36kGX1gk4FUD5yj42njqYjhaMTOQrsxag>
Received: from localhost (c-76-124-202-137.hsd1.pa.comcast.net
 [76.124.202.137])
 by mail.messagingengine.com (Postfix) with ESMTPA id 78DC910312;
 Wed, 20 Feb 2019 19:01:35 -0500 (EST)
Date: Wed, 20 Feb 2019 19:01:34 -0500
From: Leo Famulari <leo@HIDDEN>
To: mikadoZero <mikadozero@HIDDEN>
Subject: Re: bug#34597: `guix challenge` - 41 packages differ
Message-ID: <20190221000134.GB28504@HIDDEN>
References: <20190220233151.GA23130@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="/NkBOFFp2J2Af1nK"
Content-Disposition: inline
In-Reply-To: <20190220233151.GA23130@HIDDEN>
User-Agent: Mutt/1.11.2 (2019-01-07)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34597
Cc: 34597 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--/NkBOFFp2J2Af1nK
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Wed, Feb 20, 2019 at 06:31:51PM -0500, mikadoZero wrote:
> After running `guix challenge` there are some packages which differ from ones I have built locally.

Thanks!

> `guix --version`:
> guix (GNU Guix) 34372d3905e17c880180f811e5b5f83e423e9025

There is also `guix describe` which allows others to completely
reproduce your environment.

> /gnu/store/0yzw2jrpzf0f4gg2i3dqy80ddkgrgf5c-guix-cli contents differ:
>   local hash: 0jamz4xnkh3rf10fz6f5dcs046h4jxiyqg7byrqbj2wqk7lq1mdl
>   https://ci.guix.info/nar/gzip/0yzw2jrpzf0f4gg2i3dqy80ddkgrgf5c-guix-cli: 00rdkjc12xrd3jj41k32gcizd0kfz47f9g8pkixrp04mi5vxnp5n

[...]

So these are all parts of Guix itself. Can you compare a couple of these
non-reproducible pairs of files and reply with the differences here?

Some useful tools available from Guix are diffoscope and vbindiff.

Since they are all part of Guix and using Guile I think the issue will
be the same for all of them.

--/NkBOFFp2J2Af1nK
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlxt6l4ACgkQJkb6MLrK
fwi0JA/+LEK/Ti7gcefUvrt/RcBAqSSRylGmfDRUSAZp26ZEdYD/gzuWpCclQnFL
8B88R8MjVB94lNlJmvE/MkSEDQqyMdDF653yuAgc/p++drbpqL4XeiV3nFFcHo15
u22+qMHghChuM02kfLHsOnt0k3+elV+QypS7Zt/x0g4GhWAjmAuSA8RkUmngWVTk
uTIYso0sA4rC9s6YkNYohP5/Y+oDGPBB3h+eG6fTfj3fpEmDbdJL3sWBMrN3/dfL
zCkpQ+nyX/tjMjAUupG2/FoQy49P316slmSDtR2js+ntG7/gEXk3i1O2bnCLJEyu
c7iynFdDtqmLazK34iOyzGPukaRSerReZXnpOwxd/WwKiqhFVItVUGNJGlrHPNU9
xKDNLb9n2yl/rLEzfMzMa2sESiwpluC4kfJRstkZqOHLTaMPCRk4qrnKyHZponn8
A8USC9uZlVebDlM0lbTm/vRrHTDdrKEJIbm13MXXl/rQLboXetlbHKd+1KYaj+lV
drcaxCn9szED8yIKAfyqPXz6zrebUaYqfsbZOBRTM+Cy3RqEWAZ/+KazKY05MqWc
Hw2dCzmw4Wn5YuBRuXmma4U4Hc7tt09N3m0GGc9VB11+9Y4U3ljrvvR+enj9YJ8+
agoHUYI8muiZ1fIpk7whn7YfXegot5PGcw5T/HdyQ76B7VgRXRI=
=UCjt
-----END PGP SIGNATURE-----

--/NkBOFFp2J2Af1nK--




Information forwarded to bug-guix@HIDDEN:
bug#34597; Package guix. Full text available.

Message received at 34597 <at> debbugs.gnu.org:


Received: (at 34597) by debbugs.gnu.org; 20 Feb 2019 23:51:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 20 18:51:38 2019
Received: from localhost ([127.0.0.1]:58764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwbeM-0004JT-3i
	for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 18:51:38 -0500
Received: from mout02.posteo.de ([185.67.36.66]:55801)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1gwbeI-0004JB-5C
 for 34597 <at> debbugs.gnu.org; Wed, 20 Feb 2019 18:51:36 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id B93FD2400E6
 for <34597 <at> debbugs.gnu.org>; Thu, 21 Feb 2019 00:51:27 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1550706687; bh=S2GpCfS7yk6mXHOAKKb4NWZyaAEL89GrZxTbvexBsYw=;
 h=From:To:Cc:Subject:Date:From;
 b=hFoljGHOPjw492uXgsmooyYl6v6Sl2eNeTLdjbxgiTJD/BIvnfC2DPEd7i0Ovx39X
 oMTKDuxmNJezAebQeRS6ebrMMtl6pdhd8KI3KSPqMvFt4cNx+JIZKnROZHFbhFqMVd
 kTUeT6yAUR0HCSOhtACutlAvD+1vdwMuT7VT11wzM9fduQ6UMowTyv3Y7vczyyq9OA
 JaFQNFNnb/MdmmEwdDXSitwd8+PD9pAfz30g72ALsYOt4vB7tyQ+SEUHU6riFhsrEe
 HLLpXyc8Zh05duMIU8X9VuqqHSkzPFoV9oByuZmZubRAV/07OwYTZKLIpOHBw2A2o/
 NOAsG14VCDhnw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 444ZBQ3zHMz9rxM;
 Thu, 21 Feb 2019 00:51:26 +0100 (CET)
References: <20190220233151.GA23130@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Brett Gilio <brettg@HIDDEN>
To: mikadoZero <mikadozero@HIDDEN>
Subject: Re: bug#34597: `guix challenge` - 41 packages differ
In-reply-to: <20190220233151.GA23130@HIDDEN>
Date: Wed, 20 Feb 2019 17:51:24 -0600
Message-ID: <87mumqhvcz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34597
Cc: 34597 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


mikadoZero writes:

> After running `guix challenge` there are some packages which differ from ones I have built locally.

Hi Mikado,

Unless I am mistaken this isn't truly a reportable bug. As you can see
in the guix challenge documentation
https://www.gnu.org/software/guix/manual/en/html_node/Invoking-guix-challenge.html
the purpose of challenge is to check for deterministic qualities in
reproducible packages. Right now, not all packages are reproducible as
the guix team is hard at work trying to find the best solution for
replacing binary seeds with something fully bootstrappable (see:
https://bootstrappable.org)

If you look, all of the packages you showed are related to the guix core
system, which means that you are not getting any non-deterministic
packages from the relevant /gnu package repositories, which is good.

I think this bug can probably be closed.

All the best,
Brett Gilio




Information forwarded to bug-guix@HIDDEN:
bug#34597; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Feb 2019 23:34:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 20 18:34:42 2019
Received: from localhost ([127.0.0.1]:58757 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwbNw-0003up-Bb
	for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 18:34:42 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57423)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mikadozero@HIDDEN>) id 1gwb8g-0003XG-Qb
 for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 18:18:57 -0500
Received: from lists.gnu.org ([209.51.188.17]:33026)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mikadozero@HIDDEN>)
 id 1gwb8b-0003Nj-HF
 for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 18:18:49 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43571)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mikadozero@HIDDEN>) id 1gwb8Z-00084Z-S3
 for bug-guix@HIDDEN; Wed, 20 Feb 2019 18:18:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mikadozero@HIDDEN>) id 1gwb8X-0003Ls-Th
 for bug-guix@HIDDEN; Wed, 20 Feb 2019 18:18:47 -0500
Received: from forward102j.mail.yandex.net ([5.45.198.243]:46127)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mikadozero@HIDDEN>)
 id 1gwb8S-00039L-Vq
 for bug-guix@HIDDEN; Wed, 20 Feb 2019 18:18:42 -0500
Received: from mxback20j.mail.yandex.net (mxback20j.mail.yandex.net
 [IPv6:2a02:6b8:0:1619::114])
 by forward102j.mail.yandex.net (Yandex) with ESMTP id 019F6F20B0C
 for <bug-guix@HIDDEN>; Thu, 21 Feb 2019 02:18:35 +0300 (MSK)
Received: from smtp4o.mail.yandex.net (smtp4o.mail.yandex.net
 [2a02:6b8:0:1a2d::28])
 by mxback20j.mail.yandex.net (nwsmtp/Yandex) with ESMTP id cDOqTpfrD1-IYEOgEqJ;
 Thu, 21 Feb 2019 02:18:34 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.com; s=mail;
 t=1550704714; bh=fZjP4HhNJNLCXMToCmh+wciwXUq/Alkco+NtnsRibfM=;
 h=Date:From:To:Subject:Message-ID;
 b=IIBj4qXK5YLO+QqLVn+mDRit2qgb9wyWNj6iS8dhS0T56DZ8KLZZrUEam/9ipIkLB
 G8e8iYemc69JQS9+jOLmQiYLHL/avnNUwmhyJ+CgsuuOmJCYvYHxkO8C9U+Jij3gT0
 ERN2fOEBdJsu+My7Ipeu911qno2zo0/Q0XocOJDY=
Authentication-Results: mxback20j.mail.yandex.net;
 dkim=pass header.i=@yandex.com
Received: by smtp4o.mail.yandex.net (nwsmtp/Yandex) with ESMTPSA id
 dcGGxfm3Vr-IXHWN03a; Thu, 21 Feb 2019 02:18:33 +0300
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client certificate not present)
Date: Wed, 20 Feb 2019 18:31:51 -0500
From: mikadoZero <mikadozero@HIDDEN>
To: bug-guix@HIDDEN
Subject: `guix challenge` - 41 packages differ
Message-ID: <20190220233151.GA23130@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.23 (2014-03-12)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 5.45.198.243
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 20 Feb 2019 18:34:39 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

After running `guix challenge` there are some packages which differ from ones I have built locally.

`guix --version`:
guix (GNU Guix) 34372d3905e17c880180f811e5b5f83e423e9025

Here is the relevant output from `guix challenge`:

- 41 (1.6%) differed

/gnu/store/0yzw2jrpzf0f4gg2i3dqy80ddkgrgf5c-guix-cli contents differ:
  local hash: 0jamz4xnkh3rf10fz6f5dcs046h4jxiyqg7byrqbj2wqk7lq1mdl
  https://ci.guix.info/nar/gzip/0yzw2jrpzf0f4gg2i3dqy80ddkgrgf5c-guix-cli: 00rdkjc12xrd3jj41k32gcizd0kfz47f9g8pkixrp04mi5vxnp5n
/gnu/store/103r8m08hb7agslsfrry3h8shfhq42i4-guix-cli contents differ:
  local hash: 12s9k1sfjryw0fym9sqyb47zx3cnbhzifm8j017lgg2lkvbcgrgc
  https://ci.guix.info/nar/gzip/103r8m08hb7agslsfrry3h8shfhq42i4-guix-cli: 184fxcbsxi243llwai5yim51zyyyvxyi0i3bl2mbhyd5b59qx9gg
/gnu/store/22sgqzhhsiz5yl7sva2lcp75fy9hymp3-guix-packages-base contents differ:
  local hash: 1v47kid7wrzni186qk8yanymqchbba1ybwq8g034j2zbvf831nwf
  https://ci.guix.info/nar/gzip/22sgqzhhsiz5yl7sva2lcp75fy9hymp3-guix-packages-base: 0igfj9ghvc2x3w4rx4rk52bkr2nsq38r6gdr5bi2br4hl5a56rj4
/gnu/store/3v7aq4f9kvdswnbj85w11lm3yaa5fglw-guix-system contents differ:
  local hash: 1wsjn7ch38g9djflip3d1idjszc2g36p12nvgnjp8s2g4vl4awf4
  https://ci.guix.info/nar/gzip/3v7aq4f9kvdswnbj85w11lm3yaa5fglw-guix-system: 0yx5wqwp76nd93jnns7vhpba2i93wc2jxdcpg8w8ia542h0id3j2
/gnu/store/4g1cfqnlbdi7yqx42kjkhhvvq1wilvzn-guix-packages-base contents differ:
  local hash: 1wkriz3rkdxjn462jfccmr8ilr42m310ns8i9g0di71q2prl0d2l
  https://ci.guix.info/nar/gzip/4g1cfqnlbdi7yqx42kjkhhvvq1wilvzn-guix-packages-base: 07l6a5k5swfxnv4qj8s1g0a2wbykbs22giw3qkyjw2z9r2z3lrc8
/gnu/store/67mzcqvrpdzfxx4vfm242sigy2whym3d-guix-34372d390-modules contents differ:
  local hash: 0sr9wx4sxchl6nhd7z4p6hbw4rjyvw58n3g4gfqy5bi9fs9win2r
  https://ci.guix.info/nar/gzip/67mzcqvrpdzfxx4vfm242sigy2whym3d-guix-34372d390-modules: 02076s3f5yz7pw57zxhdrna60kqs67wxgv78q1rkr7ja27yksz7a
/gnu/store/80wb8j9rb1nbcwp49jk37npjy5qxq4p3-guix-30d77f45e-modules contents differ:
  local hash: 13v4kn7jbdaiz3lhb7gqqy3q3yv4yj7dhqiaq5i9rsdi53d2dzix
  https://ci.guix.info/nar/gzip/80wb8j9rb1nbcwp49jk37npjy5qxq4p3-guix-30d77f45e-modules: 132rj0hnamhxcrxn865sr2d06ac29sz86mybh6s6pvacckbnxixf
/gnu/store/8cny064zj14vlqd6jralvq4qpzv5c4pm-guix-system contents differ:
  local hash: 1f8d51glyd2x5q0kw1bhv9n55xy3cd9bq2dpsajkppqq2zb7m0kf
  https://ci.guix.info/nar/gzip/8cny064zj14vlqd6jralvq4qpzv5c4pm-guix-system: 092wi1qnvrk1ziqv34ma5qf763zzj6m3jm892wi1g11mhs1g24s1
/gnu/store/8zhlcfb4mirwi1672f8qh3499vfsd222-guix-system contents differ:
  local hash: 0a321cbg0s2ryqxarw2nydfwm96x06kbkjpczhsqfw75nm4w2fvq
  https://ci.guix.info/nar/gzip/8zhlcfb4mirwi1672f8qh3499vfsd222-guix-system: 1086zrrvrxy1ik9p16bh7wzyqc6pvmhhvnmaz567fy9khvg1kc9y
/gnu/store/9alic3caqhay3h8mx4iihpmyj6ymqpcx-guile-2.2.4 contents differ:
  local hash: 1lmzlfvk6f9cgbd0d24f2sk16c41kr09cjdk0vgmvx48m8m5q8p6
  https://ci.guix.info/nar/gzip/9alic3caqhay3h8mx4iihpmyj6ymqpcx-guile-2.2.4: 0my6v28ldp6dzjlf2lgvz09qhwh1b41whhqi9rk5h5jr1gmk6xns
/gnu/store/9fjk1728cgabbil1qijgmpkl5gh2lx5k-guix-system contents differ:
  local hash: 17dsxns2w2alz2p61rk3c30049ibavpn1g7s926z1zjzrzd1jkz6
  https://ci.guix.info/nar/gzip/9fjk1728cgabbil1qijgmpkl5gh2lx5k-guix-system: 0ighpnk230kwyl211f2fckqipc1yrd07wsvww14jn3ihb8agrvkf
/gnu/store/9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0 contents differ:
  local hash: 0yvgmb6019agp09fg2569x3dffk9p00rb2n4714pck2lcf7y69ji
  https://ci.guix.info/nar/gzip/9z98cvjm7p7z21xdid1ryydxy5vyz6wr-python-3.7.0: 0ps55s0chi7wsm2mmmkn2rhrz9slcvanvkzmi7gjsz9q174q3bgw
/gnu/store/adxd6dxidsffzliy9256718ip8v5rzhk-guix-packages-base contents differ:
  local hash: 0k1zaifnk3fbmb9jxqvld036wzxswgljwkzqx3cj0mqv5j7knlzz
  https://ci.guix.info/nar/gzip/adxd6dxidsffzliy9256718ip8v5rzhk-guix-packages-base: 1q147xj3m9ln32nxg1jz54rqajlz9rg5a7g6np4d6p9bnb5lm8gz
/gnu/store/cck0bp6n5353f0gphclk602fpcyrgi6l-guix-9ce09a769-modules contents differ:
  local hash: 0pn57s3v74n5q0vayj3i1l9a83fx2lxvj66ipqg6zfwfw5skk3s4
  https://ci.guix.info/nar/gzip/cck0bp6n5353f0gphclk602fpcyrgi6l-guix-9ce09a769-modules: 1521614l7x4rd3c6my5ca015l540jwvgl5298bmgklsfrbsh38wz
/gnu/store/cwmpa8vddprs6l5y4a1ixdhd81mlayqn-guix-dbac4833b-modules contents differ:
  local hash: 1h45w8bhgw3nfg6y6clclv675n83l0qqpnyrvqanb010289wdgs1
  https://ci.guix.info/nar/gzip/cwmpa8vddprs6l5y4a1ixdhd81mlayqn-guix-dbac4833b-modules: 0yk799kg0gks63a3izqjkmknkzvn66zggn10rll17b07y26b9kjg
/gnu/store/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli contents differ:
  local hash: 1vvzka1cqmqqnqvjsqaxw1hjhrzkhihvlfbkdr621v56msv072v9
  https://ci.guix.info/nar/gzip/cz9pln04cax43rdd9x7k9l7wlldzm7k3-guix-cli: 1njif1hkcip6i5pvfhdsjdibmhx5jn0a9y589ssza5vsyk3v5110
/gnu/store/fbkqa582xkwjsll84q5r6vndk1rvgcp3-guix-system contents differ:
  local hash: 06sh3mfdzvkfp54lz078whq1qbial3k1503gv1dk2r7rrv0zf5y0
  https://ci.guix.info/nar/gzip/fbkqa582xkwjsll84q5r6vndk1rvgcp3-guix-system: 1cgs6fxxviyhm3jigy0dw3dh2p940fry8vmjh16p4z51zrvl6kn5
/gnu/store/hxjymhpw1izpmm3ckz7h973hmkp2n9ih-guix-system-tests contents differ:
  local hash: 0ixg5k127b890vsxq4ydwbv5k27cq3jhsqi1fgix225k62lk6r9y
  https://ci.guix.info/nar/gzip/hxjymhpw1izpmm3ckz7h973hmkp2n9ih-guix-system-tests: 0ghs1dvkmjjp486hjdyg4rzlgjljfdw0s8rwp43zg9niq04561c9
/gnu/store/jnx6a1h2w6k42y5g494hpc2lnw3c6ihd-guix-packages-base contents differ:
  local hash: 0cw2i5lbywgjbr5kxj3r61q9v8570wp6pfjmk2dga095b9fg15zy
  https://ci.guix.info/nar/gzip/jnx6a1h2w6k42y5g494hpc2lnw3c6ihd-guix-packages-base: 16h7rnipzmhl9q7d83y9mfd1nkn2z6n407c885hgz7nzb1wc7hrj
/gnu/store/kd1fzy7cf4lsl2g2g98dblyb6zskmhgp-guix-system contents differ:
  local hash: 0xfh63w75dpy98qcm8fwk02cngfbalivxyldwki15d6isxwlmwaq
  https://ci.guix.info/nar/gzip/kd1fzy7cf4lsl2g2g98dblyb6zskmhgp-guix-system: 04mq86jg8gfqgrg902ymwf1n7bcrsm16mpac8fpdhl6jnglr7afs
/gnu/store/l8lvaylbwsb7c8qhp0w1q6qk5whk4bpp-guix-ed362d165-modules contents differ:
  local hash: 16afkxzml42z6ri0migqdajjya5kl4ab7ycxhim4z98pr5z8a2dc
  https://ci.guix.info/nar/gzip/l8lvaylbwsb7c8qhp0w1q6qk5whk4bpp-guix-ed362d165-modules: 04pkcb33h5pfg8y6c2a22wh1ifw4ij2qzj1b0hv047p1q1sx1bjk
/gnu/store/lpwrv02rljddp84km9md8i0820p55dmk-guix-system contents differ:
  local hash: 0krbl1kgw8mhnhqc6x0xgcjzc2rm65slbff2s0va1mxh91xszxxi
  https://ci.guix.info/nar/gzip/lpwrv02rljddp84km9md8i0820p55dmk-guix-system: 1k73pckh6kyjqk4ps4wkslx4hicwn37ni5hw0gnn4bwv02nniwk9
/gnu/store/lpxq5fswfjhd30586dgzwwgdq0kwp9m7-guix-cli contents differ:
  local hash: 0wb7x63y3i1j5jl5irfgcdpqwpmvb8rdsma17cxld03gjsplp8iz
  https://ci.guix.info/nar/gzip/lpxq5fswfjhd30586dgzwwgdq0kwp9m7-guix-cli: 1ssg35g39i33qqhsx6398vyc8w06vb6ykmssqwwhmnzsjkxx1lzg
/gnu/store/ng4ggbf91s5599pcccxrwk4m11avnh5x-guix-20fe9728c-modules contents differ:
  local hash: 1iscmpqbpz35ddzr3izx1xyymxmh95l2gk3y06wkcasi0nqgaqiw
  https://ci.guix.info/nar/gzip/ng4ggbf91s5599pcccxrwk4m11avnh5x-guix-20fe9728c-modules: 11kaz8lhm6z3rra2jskbz34kfyxk6j6lkw82pc24z5z9q7qcp6h3
/gnu/store/p182ba3hbf39khm2ahffx34dsy5vp5vc-guix-packages-base contents differ:
  local hash: 0a11g15s53ipa14vmc7d96qqpxkj6xp1ks1yqfbz5x5pk2d5qg9k
  https://ci.guix.info/nar/gzip/p182ba3hbf39khm2ahffx34dsy5vp5vc-guix-packages-base: 1xbd4wwcw7g7v63zm2qzcxrk4k8npxn6s26d6ax2w0wh4iz3pqrf
/gnu/store/p6xksm6vl2nc68842zx5g9zvd4713qh3-guix-cf22e99f0-modules contents differ:
  local hash: 097716rmzqvxyxfaz6s7lxb1sqava67i426141z0260fb1qqjk31
  https://ci.guix.info/nar/gzip/p6xksm6vl2nc68842zx5g9zvd4713qh3-guix-cf22e99f0-modules: 1vdl69xw391bp3fqihhk0n5sc3dp1r2syzgvqxs0m7gdpprr2qjp
/gnu/store/pfbxbalbf1h7sgywlp6v27a623xvwba2-guix-system-tests contents differ:
  local hash: 0ixg5k127b890vsxq4ydwbv5k27cq3jhsqi1fgix225k62lk6r9y
  https://ci.guix.info/nar/gzip/pfbxbalbf1h7sgywlp6v27a623xvwba2-guix-system-tests: 1gil57mhkdbi6dvx5lrhc3awb9fn326dr2c1rwcl9klc8dgc50r9
/gnu/store/pya85p74zr3z5q4bvgzhdpp8nydjs6dr-guix-system-tests contents differ:
  local hash: 0ixg5k127b890vsxq4ydwbv5k27cq3jhsqi1fgix225k62lk6r9y
  https://ci.guix.info/nar/gzip/pya85p74zr3z5q4bvgzhdpp8nydjs6dr-guix-system-tests: 118303ws9krlvh0sdif6znkpp87fh759dn1j67w4cv0b6px52pcf
/gnu/store/q62sjj620ra8j77jfa2yn8nl3ng6a37b-guix-system-tests contents differ:
  local hash: 17ar597d0s1fj8ap9chhnv9z5bdic08g0fqizwfih1i62pa5hwb3
  https://ci.guix.info/nar/gzip/q62sjj620ra8j77jfa2yn8nl3ng6a37b-guix-system-tests: 1j9ps8nls9sbncv6yyj9gy39rhi3qkiijkarky71iz82nc1ksaj1
/gnu/store/qbfb761xv4z7h7jbjfm0b580gigdan86-guix-system-tests contents differ:
  local hash: 17ar597d0s1fj8ap9chhnv9z5bdic08g0fqizwfih1i62pa5hwb3
  https://ci.guix.info/nar/gzip/qbfb761xv4z7h7jbjfm0b580gigdan86-guix-system-tests: 0lzzqfc2v5g3kfd879v5kqpzg7n62fmy6cbczf61xafmky1j1ypr
/gnu/store/qiacpmipl1rvhh2ia52lb9dxhn07by3p-guix-system-tests contents differ:
  local hash: 17ar597d0s1fj8ap9chhnv9z5bdic08g0fqizwfih1i62pa5hwb3
  https://ci.guix.info/nar/gzip/qiacpmipl1rvhh2ia52lb9dxhn07by3p-guix-system-tests: 0lxzfqa7rigd52lkgsdvmxxhzf71hwvg969imv6qf54n7jmihxzc
/gnu/store/qp24729bnirmmvk4dbnaprwb2a02b92b-guix-system contents differ:
  local hash: 1xm5mk7haj2f1lvl87ls189vhbqj53dbfycxswwnprlf8nba50r4
  https://ci.guix.info/nar/gzip/qp24729bnirmmvk4dbnaprwb2a02b92b-guix-system: 0hb6xz96cy9q4h147czrsrb4j1gmf0cs10j8kn66x8qsd4yw32n8
/gnu/store/qr2c99hkdz12ba9kwm3mdb3hxyc80d1d-guix-fc80f54e2-modules contents differ:
  local hash: 05x4x2qk0pl6a9qpdhsdh7fwh2p7p4d835c5djc7sic9fk96qxmp
  https://ci.guix.info/nar/gzip/qr2c99hkdz12ba9kwm3mdb3hxyc80d1d-guix-fc80f54e2-modules: 0dk3p4qa0n8lfj97lq4nlrdqj5y2wv4z2qbl38srmik0g37hjb0z
/gnu/store/sarhxliydzfai6avrjddk4ks52535ji5-guix-cli contents differ:
  local hash: 1dlmlpbinmskfqb4gx39vx5mw3n09nwwj60hy73d6zfl7l1wn9xa
  https://ci.guix.info/nar/gzip/sarhxliydzfai6avrjddk4ks52535ji5-guix-cli: 1plcdpgc476d0vfx8jmz4c4gh20dp01f1ri48l0f15y9a3fazl8d
/gnu/store/sxc33nm3i4xn690rxp33a71by2a2746p-guix-cli contents differ:
  local hash: 1vjyfkqq67z9zj4x019sdl1im02ya2p2943isrvlr1a65fjpm7p8
  https://ci.guix.info/nar/gzip/sxc33nm3i4xn690rxp33a71by2a2746p-guix-cli: 0vmzmb28jh4ywrpwc64l5382qvwp8q89wqhb5yl2lkzn35mbf9q6
/gnu/store/vdr1ryw4pqsdy5pv64pkgf0gnyhwbkdr-guix-e191e8485-modules contents differ:
  local hash: 1kqhrmlbzksjhkivl811kgg6ds7v83g5571hs7q84dz8f7pn2zsx
  https://ci.guix.info/nar/gzip/vdr1ryw4pqsdy5pv64pkgf0gnyhwbkdr-guix-e191e8485-modules: 1f53wlpjabrlk28ivx8zlcf9mgwnb23spyrxp6sw2rivj1kzp3k4
/gnu/store/xc90qw8xpcmqv97xzckdmr9fhqx07a94-guix-cli contents differ:
  local hash: 12s9k1sfjryw0fym9sqyb47zx3cnbhzifm8j017lgg2lkvbcgrgc
  https://ci.guix.info/nar/gzip/xc90qw8xpcmqv97xzckdmr9fhqx07a94-guix-cli: 16nz0ah4im4wl5fkj443x5wqid781lg0sn3p0v8mmvg8m28zambm
/gnu/store/y70zrhvca8i01rdmnkxcz218czyj7xm4-guix-cli contents differ:
  local hash: 0rpv9cxb2062c965ccsdnw9pyiafgclpvcyz4cxni23945vn0m86
  https://ci.guix.info/nar/gzip/y70zrhvca8i01rdmnkxcz218czyj7xm4-guix-cli: 16rj3i7aqw0gafpjn193qfy14vw0wyrwh45b0mflk7si4ylp6884
/gnu/store/y972p576yhn6rklfmpg4wcvsydcyj4vd-guix-system-tests contents differ:
  local hash: 00lwrsmynmn04jd82m1fklzhsi66f0s64z3fx2jd189fnwqsf1fi
  https://ci.guix.info/nar/gzip/y972p576yhn6rklfmpg4wcvsydcyj4vd-guix-system-tests: 02bmayfmh76bxrcq3i0r10xvg1z9535mfsq362lq2vkzx3v7qf07
/gnu/store/ydk43qsraq531pyq32mmw1lkqa7y1z5k-guix-cli contents differ:
  local hash: 1dw69s93l0z6w5f54vyhrb9idjxr1wkb2wwmydmlz929cpd91fyg
  https://ci.guix.info/nar/gzip/ydk43qsraq531pyq32mmw1lkqa7y1z5k-guix-cli: 0i8m01jm1mxg1nq0v663k66bss40xhisnnjcyfxn4753zrl0j3l7
/gnu/store/yrh3d09xmrja65kl1n9cbqlskzi0p49s-guix-system contents differ:
  local hash: 0vsbwh2n58naks1lqcxxffxl2jixfpkmb01nj8lg7awsg6zf7nap
  https://ci.guix.info/nar/gzip/yrh3d09xmrja65kl1n9cbqlskzi0p49s-guix-system: 0ks5dgfg07sbjr19fz48xn0syxxy63mz5l5zvwfbr6iwbv2p92pn




Acknowledgement sent to mikadoZero <mikadozero@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#34597; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 4 Mar 2019 22:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.